/*
 * Copyright (c) 2024, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
/*
 Generated on: Tue Dec 31 13:17:20 2024
 Using TPS2HCS08_component_out_rev4.xml
 */

#ifndef __TPS2HCXX__
#define __TPS2HCXX__

#include <stdint.h>


/* --------- TPS2HCSXX_DEV_ID (0x00) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_DEV_ID_REG 0x00

typedef union 
{
    uint16_t word;
    struct
    {
        /* Part Number  */
        uint16_t DEVICE_ID : 16;
    } bits;
} TPS2HCSXX_DEV_ID;

typedef struct TPS2HCSXX_DEV_ID_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_DEV_ID value;
} TPS2HCSXX_DEV_ID_OBJ;

#define TPS2HCSXX_DEV_ID_DEVICE_ID_MASK 0xFFFF
#define TPS2HCSXX_DEV_ID_DEVICE_ID_OFS 0

typedef enum {
    device_id_en_TPS2HCS08A_field = 0xfff0,
    device_id_en_TPS2HCS08B_field = 0xfff1,
    device_id_en_TPS2HCS08N_field = 0xfffc,
} tps2hcsxx_device_id_field_t;

typedef enum {
    device_id_en_TPS2HCS08A_mask = 0xfff0,
    device_id_en_TPS2HCS08B_mask = 0xfff1,
    device_id_en_TPS2HCS08N_mask = 0xfffc,
} tps2hcsxx_device_id_mask_t;


/* --------- TPS2HCSXX_CRC_CONFIG (0x01) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_CRC_CONFIG_REG 0x01

typedef union 
{
    uint16_t word;
    struct
    {
        /* Enables CRC check of SPI command frame.  */
        uint16_t CRC_EN : 1;
        /* Reserved */
        uint16_t RESERVED_5 : 15;
    } bits;
} TPS2HCSXX_CRC_CONFIG;

typedef struct TPS2HCSXX_CRC_CONFIG_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_CRC_CONFIG value;
} TPS2HCSXX_CRC_CONFIG_OBJ;

#define TPS2HCSXX_CRC_CONFIG_CRC_EN_MASK 0x01
#define TPS2HCSXX_CRC_CONFIG_CRC_EN_OFS 0

typedef enum {
    crc_en_en_0x0_field = 0x0,
    crc_en_en_0x1_field = 0x1,
} tps2hcsxx_crc_en_field_t;

typedef enum {
    crc_en_en_0x0_mask = 0x0,
    crc_en_en_0x1_mask = 0x1,
} tps2hcsxx_crc_en_mask_t;

#define TPS2HCSXX_CRC_CONFIG_RESERVED_5_MASK 0xFFFE
#define TPS2HCSXX_CRC_CONFIG_RESERVED_5_OFS 1

/* --------- TPS2HCSXX_SLEEP (0x02) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_SLEEP_REG 0x02

typedef union 
{
    uint16_t word;
    struct
    {
        /* Set this bit to 1 to send the device to SLEEP state  */
        uint16_t SLEEP : 1;
        /* Reserved */
        uint16_t RESERVED_1 : 15;
    } bits;
} TPS2HCSXX_SLEEP;

typedef struct TPS2HCSXX_SLEEP_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_SLEEP value;
} TPS2HCSXX_SLEEP_OBJ;

#define TPS2HCSXX_SLEEP_SLEEP_MASK 0x01
#define TPS2HCSXX_SLEEP_SLEEP_OFS 0

typedef enum {
    sleep_en_0x0_field = 0x0,
    sleep_en_0x1_field = 0x1,
} tps2hcsxx_sleep_field_t;

typedef enum {
    sleep_en_0x0_mask = 0x0,
    sleep_en_0x1_mask = 0x1,
} tps2hcsxx_sleep_mask_t;

#define TPS2HCSXX_SLEEP_RESERVED_1_MASK 0xFFFE
#define TPS2HCSXX_SLEEP_RESERVED_1_OFS 1

/* --------- TPS2HCSXX_LPM (0x03) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_LPM_REG 0x03

typedef union 
{
    uint16_t word;
    struct
    {
        /* Setting this bit to 1 puts the device into MANUAL_LPM. Note: Both channels 
        * must be off or the current on any enabled channel(s) must be below MAN_LPM_EXIT_CURR_CHx 
        * to enter MANUAL_LPM mode. If the device is in MANUAL_LPM state and a 0 
        * is written to the MANUAL_LPM_ENTRY bit the device will look at the contents 
        * of AUTO_LPM_EXIT_CHx bits and if any of the bits are set to 1 the device 
        * will exit MANUAL_LPM mode and will turn on the channel(s) if not already 
        * enabled.  If the device exits MANUAL_LPM state to ACTIVE state due to a 
        * load current increase #62# MAN_LPM_EXIT_CURR_CHx, the MANUAL_LPM_ENTRY 
        * bit needs to be set 0 and then back to 1 to re-enter MANUAL_LPM state  
        * */
        uint16_t MANUAL_LPM_ENTRY : 1;
        /* This bit forces the device out of AUTO_LPM mode to ACTIVE state and enables 
        * CH1 if not already enabled. To re-enable the device to enter AUTO_LPM mode 
        * this bit must be set back to 0.  */
        uint16_t AUTO_LPM_EXIT_CH1 : 1;
        /* This bit forces the device out of AUTO_LPM mode to ACTIVE state and enables 
        * CH2 if not already enabled. To re-enable the device to enter AUTO_LPM mode 
        * this bit must be set back to 0.  */
        uint16_t AUTO_LPM_EXIT_CH2 : 1;
        /* Set the threshold to exit from MANUAL_LPM mode due to load current  increase 
        * - CH1  */
        uint16_t MAN_LPM_EXIT_CURR_CH1 : 2;
        /* Set the threshold to exit from MANUAL_LPM mode due to load current  increase 
        * - CH2  */
        uint16_t MAN_LPM_EXIT_CURR_CH2 : 2;
        /* Reserved */
        uint16_t RESERVED_3 : 9;
    } bits;
} TPS2HCSXX_LPM;

typedef struct TPS2HCSXX_LPM_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_LPM value;
} TPS2HCSXX_LPM_OBJ;

#define TPS2HCSXX_LPM_MANUAL_LPM_ENTRY_MASK 0x01
#define TPS2HCSXX_LPM_MANUAL_LPM_ENTRY_OFS 0

typedef enum {
    manual_lpm_entry_en_0x0_field = 0x0,
    manual_lpm_entry_en_0x1_field = 0x1,
} tps2hcsxx_manual_lpm_entry_field_t;

typedef enum {
    manual_lpm_entry_en_0x0_mask = 0x0,
    manual_lpm_entry_en_0x1_mask = 0x1,
} tps2hcsxx_manual_lpm_entry_mask_t;

#define TPS2HCSXX_LPM_AUTO_LPM_EXIT_CH1_MASK 0x02
#define TPS2HCSXX_LPM_AUTO_LPM_EXIT_CH1_OFS 1

typedef enum {
    auto_lpm_exit_ch1_en_0x0_field = 0x0,
    auto_lpm_exit_ch1_en_0x2_field = 0x2,
} tps2hcsxx_auto_lpm_exit_ch1_field_t;

typedef enum {
    auto_lpm_exit_ch1_en_0x0_mask = 0x0,
    auto_lpm_exit_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_auto_lpm_exit_ch1_mask_t;

#define TPS2HCSXX_LPM_AUTO_LPM_EXIT_CH2_MASK 0x04
#define TPS2HCSXX_LPM_AUTO_LPM_EXIT_CH2_OFS 2

typedef enum {
    auto_lpm_exit_ch2_en_0x0_field = 0x0,
    auto_lpm_exit_ch2_en_0x4_field = 0x4,
} tps2hcsxx_auto_lpm_exit_ch2_field_t;

typedef enum {
    auto_lpm_exit_ch2_en_0x0_mask = 0x0,
    auto_lpm_exit_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_auto_lpm_exit_ch2_mask_t;

#define TPS2HCSXX_LPM_MAN_LPM_EXIT_CURR_CH1_MASK 0x18
#define TPS2HCSXX_LPM_MAN_LPM_EXIT_CURR_CH1_OFS 3

typedef enum {
    man_lpm_exit_curr_ch1_en_600mA_field = 0x0,
    man_lpm_exit_curr_ch1_en_800mA_field = 0x8,
    man_lpm_exit_curr_ch1_en_200mA_field = 0x10,
    man_lpm_exit_curr_ch1_en_400mA_field = 0x18,
} tps2hcsxx_man_lpm_exit_curr_ch1_field_t;

typedef enum {
    man_lpm_exit_curr_ch1_en_600mA_mask = 0x0,
    man_lpm_exit_curr_ch1_en_800mA_mask = 0x1,
    man_lpm_exit_curr_ch1_en_200mA_mask = 0x2,
    man_lpm_exit_curr_ch1_en_400mA_mask = 0x3,
} tps2hcsxx_man_lpm_exit_curr_ch1_mask_t;

#define TPS2HCSXX_LPM_MAN_LPM_EXIT_CURR_CH2_MASK 0x60
#define TPS2HCSXX_LPM_MAN_LPM_EXIT_CURR_CH2_OFS 5

typedef enum {
    man_lpm_exit_curr_ch2_en_600mA_field = 0x0,
    man_lpm_exit_curr_ch2_en_800mA_field = 0x20,
    man_lpm_exit_curr_ch2_en_200mA_field = 0x40,
    man_lpm_exit_curr_ch2_en_400mA_field = 0x60,
} tps2hcsxx_man_lpm_exit_curr_ch2_field_t;

typedef enum {
    man_lpm_exit_curr_ch2_en_600mA_mask = 0x0,
    man_lpm_exit_curr_ch2_en_800mA_mask = 0x1,
    man_lpm_exit_curr_ch2_en_200mA_mask = 0x2,
    man_lpm_exit_curr_ch2_en_400mA_mask = 0x3,
} tps2hcsxx_man_lpm_exit_curr_ch2_mask_t;

#define TPS2HCSXX_LPM_RESERVED_3_MASK 0xFF80
#define TPS2HCSXX_LPM_RESERVED_3_OFS 7

/* --------- TPS2HCSXX_GLOBAL_FAULT_TYPE (0x04) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_GLOBAL_FAULT_TYPE_REG 0x04

typedef union 
{
    uint16_t word;
    struct
    {
        /* This bit indicates if the VBB supply is below the V#sub#BB_UVLOF#/sub# 
        * at any time.  The fault bit is cleared if the GLOBAL_FAULT_TYPE register 
        * is read and the UVLO condition is removed   */
        uint16_t VBB_UVLO : 1;
        /* This bit indicates if the VBB supply is below the V#sub#BB_UV_WRN#/sub# 
        * at any time. If VBB is below V#sub#BB_UV_WRN#/sub#, the diagnostics in 
        * the device are turned off  The fault bit is cleared if the GLOBAL_FAULT_TYPE 
        * register is read and the UV condition no longer exists  */
        uint16_t VBB_UV_WRN : 1;
        /* This bit indicates if the VDD supply is below  VDD_UVLOF at any time. 
        *  The fault bit is cleared if the GLOBAL_FAULT_TYPE register is read and 
        * the UVLO condition is removed  */
        uint16_t VDD_UVLO : 1;
        /* If WD_EN = 1, this bit indicates if there has not been an acceptable SPI 
        * command in the watchdog timeout window.  The fault bit is latched and cleared 
        * only after read and the error no longer exists  */
        uint16_t WD_ERR : 1;
        /* This bit indicates if there is a SPI communication error either from format, 
        * clock or CRC. The fault bit is latched and cleared only after read and 
        * the error(s) no longer exist.  */
        uint16_t SPI_ERR : 1;
        /* This bit indicates if the device is in either MANUAL_LPM or AUTO_LPM modes. 
        *  This bit is latched and cleared only when read and the device is not in 
        * any LPM mode.  Note: If the conditons are not met for MANUAL_LPM entry, 
        * this bit will be set to 1 and cleared when read.  */
        uint16_t LPM_STATUS_1 : 1;
        /* The bit is indicates if a power on reset (POR) has occurred since the 
        * last read  This bit is cleared on read, so if read again and the bit is 
        * 0, this means that no power-on reset has occurred since the read.  */
        uint16_t POR : 1;
        /* This bit indicates if the device is in LIMP_HOME state.   Write 1 to clear 
        * and exit LIMP_HOME state. The LHI pin must be LOW when the bit is set to 
        * 1 to exit LIMP_HOME state.  */
        uint16_t LIMPHOME_STAT : 1;
        /* This bit indicates if there is a global fault reported in FLT_GLOBAL_TYPE[7:0] 
        * bits.   The faults that are reported through this bit are LIMPHOME_STATE, 
        * POR, SPI_ERR, WD_ERR, VDD_UVLO, VBB_UV_WRN, or VBB_UVLO.   If FLT_LTCH_DIS 
        * = 0, then the fault bit is latched and is cleared only when the FLT_STAT_CHx 
        * register is read and the fault condition(s) no longer exist   */
        uint16_t GLOBAL_ERR_WRN : 1;
        /* This bit indicates if there is a short to VBB supply in the off-state 
        * fault in any one of the channels.   If FLT_LTCH_DIS = 0, then the fault 
        * bit is latched and is cleared only when the FLT_STAT_CHx register is read 
        * and the fault condition(s) no longer exist   */
        uint16_t OL_SHRT_VBB_OFF_FLT : 1;
        /* This bit indicates if there is an overcurrent protection or I2T protection 
        * or thermal shutdown fault in any one of the channels.  If FLT_LTCH_DIS 
        * = 0, then the fault bit is latched and is cleared only when the FLT_STAT_CHx 
        * register is read and the fault condition(s) no longer exist   */
        uint16_t CHAN_OCP_I2T_TSD : 1;
        /* This bit indicates if the device is in either MANUAL_LPM mode or AUTO_LPM 
        * mode and is cleared when the device is not in any LPM mode.  */
        uint16_t LPM_STATUS : 1;
        /* Fault status of channel 1.  If FLT_LTCH_DIS = 0, then the fault bit is 
        * latched and is cleared only when the FLT_STAT_CH1 register is read and 
        * the fault condition(s) no longer exist  */
        uint16_t CH1_FLT : 1;
        /* Fault status of channel 2.  If FLT_LTCH_DIS = 0, then the fault bit is 
        * latched and is cleared only when the FLT_STAT_CH2 register is read and 
        * the fault condition(s) no longer exist  */
        uint16_t CH2_FLT : 1;
        /* Reserved */
        uint16_t RESERVED_9 : 1;
        /* Reserved */
        uint16_t RESERVED_7 : 1;
    } bits;
} TPS2HCSXX_GLOBAL_FAULT_TYPE;

typedef struct TPS2HCSXX_GLOBAL_FAULT_TYPE_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_GLOBAL_FAULT_TYPE value;
} TPS2HCSXX_GLOBAL_FAULT_TYPE_OBJ;

#define TPS2HCSXX_GLOBAL_FAULT_TYPE_VBB_UVLO_MASK 0x01
#define TPS2HCSXX_GLOBAL_FAULT_TYPE_VBB_UVLO_OFS 0

typedef enum {
    vbb_uvlo_en_0x0_field = 0x0,
    vbb_uvlo_en_0x1_field = 0x1,
} tps2hcsxx_vbb_uvlo_field_t;

typedef enum {
    vbb_uvlo_en_0x0_mask = 0x0,
    vbb_uvlo_en_0x1_mask = 0x1,
} tps2hcsxx_vbb_uvlo_mask_t;

#define TPS2HCSXX_GLOBAL_FAULT_TYPE_VBB_UV_WRN_MASK 0x02
#define TPS2HCSXX_GLOBAL_FAULT_TYPE_VBB_UV_WRN_OFS 1

typedef enum {
    vbb_uv_wrn_en_0x0_field = 0x0,
    vbb_uv_wrn_en_0x2_field = 0x2,
} tps2hcsxx_vbb_uv_wrn_field_t;

typedef enum {
    vbb_uv_wrn_en_0x0_mask = 0x0,
    vbb_uv_wrn_en_0x1_mask = 0x1,
} tps2hcsxx_vbb_uv_wrn_mask_t;

#define TPS2HCSXX_GLOBAL_FAULT_TYPE_VDD_UVLO_MASK 0x04
#define TPS2HCSXX_GLOBAL_FAULT_TYPE_VDD_UVLO_OFS 2

typedef enum {
    vdd_uvlo_en_0x0_field = 0x0,
    vdd_uvlo_en_0x4_field = 0x4,
} tps2hcsxx_vdd_uvlo_field_t;

typedef enum {
    vdd_uvlo_en_0x0_mask = 0x0,
    vdd_uvlo_en_0x1_mask = 0x1,
} tps2hcsxx_vdd_uvlo_mask_t;

#define TPS2HCSXX_GLOBAL_FAULT_TYPE_WD_ERR_MASK 0x08
#define TPS2HCSXX_GLOBAL_FAULT_TYPE_WD_ERR_OFS 3

typedef enum {
    wd_err_en_0x0_field = 0x0,
    wd_err_en_0x8_field = 0x8,
} tps2hcsxx_wd_err_field_t;

typedef enum {
    wd_err_en_0x0_mask = 0x0,
    wd_err_en_0x1_mask = 0x1,
} tps2hcsxx_wd_err_mask_t;

#define TPS2HCSXX_GLOBAL_FAULT_TYPE_SPI_ERR_MASK 0x10
#define TPS2HCSXX_GLOBAL_FAULT_TYPE_SPI_ERR_OFS 4

typedef enum {
    spi_err_en_0x0_field = 0x0,
    spi_err_en_0x10_field = 0x10,
} tps2hcsxx_spi_err_field_t;

typedef enum {
    spi_err_en_0x0_mask = 0x0,
    spi_err_en_0x1_mask = 0x1,
} tps2hcsxx_spi_err_mask_t;

#define TPS2HCSXX_GLOBAL_FAULT_TYPE_LPM_STATUS_1_MASK 0x20
#define TPS2HCSXX_GLOBAL_FAULT_TYPE_LPM_STATUS_1_OFS 5

typedef enum {
    lpm_status_1_en_0x0_field = 0x0,
    lpm_status_1_en_0x20_field = 0x20,
} tps2hcsxx_lpm_status_1_field_t;

typedef enum {
    lpm_status_1_en_0x0_mask = 0x0,
    lpm_status_1_en_0x1_mask = 0x1,
} tps2hcsxx_lpm_status_1_mask_t;

#define TPS2HCSXX_GLOBAL_FAULT_TYPE_POR_MASK 0x40
#define TPS2HCSXX_GLOBAL_FAULT_TYPE_POR_OFS 6

typedef enum {
    por_en_0x0_field = 0x0,
    por_en_0x40_field = 0x40,
} tps2hcsxx_por_field_t;

typedef enum {
    por_en_0x0_mask = 0x0,
    por_en_0x1_mask = 0x1,
} tps2hcsxx_por_mask_t;

#define TPS2HCSXX_GLOBAL_FAULT_TYPE_LIMPHOME_STAT_MASK 0x80
#define TPS2HCSXX_GLOBAL_FAULT_TYPE_LIMPHOME_STAT_OFS 7

typedef enum {
    limphome_stat_en_0x0_field = 0x0,
    limphome_stat_en_0x80_field = 0x80,
} tps2hcsxx_limphome_stat_field_t;

typedef enum {
    limphome_stat_en_0x0_mask = 0x0,
    limphome_stat_en_0x1_mask = 0x1,
} tps2hcsxx_limphome_stat_mask_t;

#define TPS2HCSXX_GLOBAL_FAULT_TYPE_GLOBAL_ERR_WRN_MASK 0x100
#define TPS2HCSXX_GLOBAL_FAULT_TYPE_GLOBAL_ERR_WRN_OFS 8

typedef enum {
    global_err_wrn_en_0x0_field = 0x0,
    global_err_wrn_en_0x100_field = 0x100,
} tps2hcsxx_global_err_wrn_field_t;

typedef enum {
    global_err_wrn_en_0x0_mask = 0x0,
    global_err_wrn_en_0x1_mask = 0x1,
} tps2hcsxx_global_err_wrn_mask_t;

#define TPS2HCSXX_GLOBAL_FAULT_TYPE_OL_SHRT_VBB_OFF_FLT_MASK 0x200
#define TPS2HCSXX_GLOBAL_FAULT_TYPE_OL_SHRT_VBB_OFF_FLT_OFS 9

typedef enum {
    ol_shrt_vbb_off_flt_en_0x0_field = 0x0,
    ol_shrt_vbb_off_flt_en_0x200_field = 0x200,
} tps2hcsxx_ol_shrt_vbb_off_flt_field_t;

typedef enum {
    ol_shrt_vbb_off_flt_en_0x0_mask = 0x0,
    ol_shrt_vbb_off_flt_en_0x1_mask = 0x1,
} tps2hcsxx_ol_shrt_vbb_off_flt_mask_t;

#define TPS2HCSXX_GLOBAL_FAULT_TYPE_CHAN_OCP_I2T_TSD_MASK 0x400
#define TPS2HCSXX_GLOBAL_FAULT_TYPE_CHAN_OCP_I2T_TSD_OFS 10

typedef enum {
    chan_ocp_i2t_tsd_en_0x0_field = 0x0,
    chan_ocp_i2t_tsd_en_0x400_field = 0x400,
} tps2hcsxx_chan_ocp_i2t_tsd_field_t;

typedef enum {
    chan_ocp_i2t_tsd_en_0x0_mask = 0x0,
    chan_ocp_i2t_tsd_en_0x1_mask = 0x1,
} tps2hcsxx_chan_ocp_i2t_tsd_mask_t;

#define TPS2HCSXX_GLOBAL_FAULT_TYPE_LPM_STATUS_MASK 0x800
#define TPS2HCSXX_GLOBAL_FAULT_TYPE_LPM_STATUS_OFS 11

typedef enum {
    lpm_status_en_0x0_field = 0x0,
    lpm_status_en_0x800_field = 0x800,
} tps2hcsxx_lpm_status_field_t;

typedef enum {
    lpm_status_en_0x0_mask = 0x0,
    lpm_status_en_0x1_mask = 0x1,
} tps2hcsxx_lpm_status_mask_t;

#define TPS2HCSXX_GLOBAL_FAULT_TYPE_CH1_FLT_MASK 0x1000
#define TPS2HCSXX_GLOBAL_FAULT_TYPE_CH1_FLT_OFS 12

typedef enum {
    ch1_flt_en_0x0_field = 0x0,
    ch1_flt_en_0x1000_field = 0x1000,
} tps2hcsxx_ch1_flt_field_t;

typedef enum {
    ch1_flt_en_0x0_mask = 0x0,
    ch1_flt_en_0x1_mask = 0x1,
} tps2hcsxx_ch1_flt_mask_t;

#define TPS2HCSXX_GLOBAL_FAULT_TYPE_CH2_FLT_MASK 0x2000
#define TPS2HCSXX_GLOBAL_FAULT_TYPE_CH2_FLT_OFS 13

typedef enum {
    ch2_flt_en_0x0_field = 0x0,
    ch2_flt_en_0x2000_field = 0x2000,
} tps2hcsxx_ch2_flt_field_t;

typedef enum {
    ch2_flt_en_0x0_mask = 0x0,
    ch2_flt_en_0x1_mask = 0x1,
} tps2hcsxx_ch2_flt_mask_t;

#define TPS2HCSXX_GLOBAL_FAULT_TYPE_RESERVED_9_MASK 0x4000
#define TPS2HCSXX_GLOBAL_FAULT_TYPE_RESERVED_9_OFS 14
#define TPS2HCSXX_GLOBAL_FAULT_TYPE_RESERVED_7_MASK 0x8000
#define TPS2HCSXX_GLOBAL_FAULT_TYPE_RESERVED_7_OFS 15

/* --------- TPS2HCSXX_FAULT_MASK (0x05) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_FAULT_MASK_REG 0x05

typedef union 
{
    uint16_t word;
    struct
    {
        /* The bit determines if the device should mask the supply voltage VBB UVLO 
        * fault on the FLT pin  */
        uint16_t MASK_VBB_UVLO : 1;
        /* The bit determines if the device should mask a SPI watchdog error (WD_ERR) 
        * on the FLT pin and in the FAULT_TYPE_STAT register  */
        uint16_t MASK_WD_ERR : 1;
        /* The bit determines if the device should mask a SPI error (SPI_ERR) on 
        * the FLT pin and in the GLOBAL_FAULT_TYPE register  */
        uint16_t MASK_SPI_ERR : 1;
        /* Reserved */
        uint16_t RESERVED_13 : 1;
        /* The bit determines if the device should mask the signaling of an off-state 
        * open load fault on the FLT pin  */
        uint16_t MASK_OL_OFF : 1;
        /* This bit determines if the device should mask OL_SHRT_VBB_OFF_FLT fault 
        * on the FLT pin  */
        uint16_t MASK_SHRT_VBB : 1;
        /* This bit determines if the device should mask the signaling of an overcurrent 
        * protection fault (ILIMIT_CHx) fault on the FLT pin   */
        uint16_t MASK_ILIMIT : 1;
        /* Reserved */
        uint16_t RESERVED_11 : 9;
    } bits;
} TPS2HCSXX_FAULT_MASK;

typedef struct TPS2HCSXX_FAULT_MASK_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_FAULT_MASK value;
} TPS2HCSXX_FAULT_MASK_OBJ;

#define TPS2HCSXX_FAULT_MASK_MASK_VBB_UVLO_MASK 0x01
#define TPS2HCSXX_FAULT_MASK_MASK_VBB_UVLO_OFS 0

typedef enum {
    mask_vbb_uvlo_en_0x0_field = 0x0,
    mask_vbb_uvlo_en_0x1_field = 0x1,
} tps2hcsxx_mask_vbb_uvlo_field_t;

typedef enum {
    mask_vbb_uvlo_en_0x0_mask = 0x0,
    mask_vbb_uvlo_en_0x1_mask = 0x1,
} tps2hcsxx_mask_vbb_uvlo_mask_t;

#define TPS2HCSXX_FAULT_MASK_MASK_WD_ERR_MASK 0x02
#define TPS2HCSXX_FAULT_MASK_MASK_WD_ERR_OFS 1

typedef enum {
    mask_wd_err_en_0x0_field = 0x0,
    mask_wd_err_en_0x2_field = 0x2,
} tps2hcsxx_mask_wd_err_field_t;

typedef enum {
    mask_wd_err_en_0x0_mask = 0x0,
    mask_wd_err_en_0x1_mask = 0x1,
} tps2hcsxx_mask_wd_err_mask_t;

#define TPS2HCSXX_FAULT_MASK_MASK_SPI_ERR_MASK 0x04
#define TPS2HCSXX_FAULT_MASK_MASK_SPI_ERR_OFS 2

typedef enum {
    mask_spi_err_en_0x0_field = 0x0,
    mask_spi_err_en_0x4_field = 0x4,
} tps2hcsxx_mask_spi_err_field_t;

typedef enum {
    mask_spi_err_en_0x0_mask = 0x0,
    mask_spi_err_en_0x1_mask = 0x1,
} tps2hcsxx_mask_spi_err_mask_t;

#define TPS2HCSXX_FAULT_MASK_RESERVED_13_MASK 0x08
#define TPS2HCSXX_FAULT_MASK_RESERVED_13_OFS 3
#define TPS2HCSXX_FAULT_MASK_MASK_OL_OFF_MASK 0x10
#define TPS2HCSXX_FAULT_MASK_MASK_OL_OFF_OFS 4

typedef enum {
    mask_ol_off_en_0x0_field = 0x0,
    mask_ol_off_en_0x10_field = 0x10,
} tps2hcsxx_mask_ol_off_field_t;

typedef enum {
    mask_ol_off_en_0x0_mask = 0x0,
    mask_ol_off_en_0x1_mask = 0x1,
} tps2hcsxx_mask_ol_off_mask_t;

#define TPS2HCSXX_FAULT_MASK_MASK_SHRT_VBB_MASK 0x20
#define TPS2HCSXX_FAULT_MASK_MASK_SHRT_VBB_OFS 5

typedef enum {
    mask_shrt_vbb_en_0x0_field = 0x0,
    mask_shrt_vbb_en_0x20_field = 0x20,
} tps2hcsxx_mask_shrt_vbb_field_t;

typedef enum {
    mask_shrt_vbb_en_0x0_mask = 0x0,
    mask_shrt_vbb_en_0x1_mask = 0x1,
} tps2hcsxx_mask_shrt_vbb_mask_t;

#define TPS2HCSXX_FAULT_MASK_MASK_ILIMIT_MASK 0x40
#define TPS2HCSXX_FAULT_MASK_MASK_ILIMIT_OFS 6

typedef enum {
    mask_ilimit_en_0x0_field = 0x0,
    mask_ilimit_en_0x40_field = 0x40,
} tps2hcsxx_mask_ilimit_field_t;

typedef enum {
    mask_ilimit_en_0x0_mask = 0x0,
    mask_ilimit_en_0x1_mask = 0x1,
} tps2hcsxx_mask_ilimit_mask_t;

#define TPS2HCSXX_FAULT_MASK_RESERVED_11_MASK 0xFF80
#define TPS2HCSXX_FAULT_MASK_RESERVED_11_OFS 7

/* --------- TPS2HCSXX_BIST_RESULT (0x06) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_BIST_RESULT_REG 0x06

typedef union 
{
    uint16_t word;
    struct
    {
        /* Reserved */
        uint16_t RESERVED_21 : 1;
        /* Reserved */
        uint16_t RESERVED_20 : 1;
        /* Reserved */
        uint16_t RESERVED_19 : 1;
        /* Reserved */
        uint16_t RESERVED_18 : 1;
        /* Reserved */
        uint16_t RESERVED_17 : 1;
        /* Reserved */
        uint16_t RESERVED_16 : 1;
        /* Reserved */
        uint16_t RESERVED_15 : 10;
    } bits;
} TPS2HCSXX_BIST_RESULT;

typedef struct TPS2HCSXX_BIST_RESULT_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_BIST_RESULT value;
} TPS2HCSXX_BIST_RESULT_OBJ;

#define TPS2HCSXX_BIST_RESULT_RESERVED_21_MASK 0x01
#define TPS2HCSXX_BIST_RESULT_RESERVED_21_OFS 0
#define TPS2HCSXX_BIST_RESULT_RESERVED_20_MASK 0x02
#define TPS2HCSXX_BIST_RESULT_RESERVED_20_OFS 1
#define TPS2HCSXX_BIST_RESULT_RESERVED_19_MASK 0x04
#define TPS2HCSXX_BIST_RESULT_RESERVED_19_OFS 2
#define TPS2HCSXX_BIST_RESULT_RESERVED_18_MASK 0x08
#define TPS2HCSXX_BIST_RESULT_RESERVED_18_OFS 3
#define TPS2HCSXX_BIST_RESULT_RESERVED_17_MASK 0x10
#define TPS2HCSXX_BIST_RESULT_RESERVED_17_OFS 4
#define TPS2HCSXX_BIST_RESULT_RESERVED_16_MASK 0x20
#define TPS2HCSXX_BIST_RESULT_RESERVED_16_OFS 5
#define TPS2HCSXX_BIST_RESULT_RESERVED_15_MASK 0xFFC0
#define TPS2HCSXX_BIST_RESULT_RESERVED_15_OFS 6

/* --------- TPS2HCSXX_SW_STATE (0x07) ----------*/

#define TPS2HCSXX_SW_STATE_REG 0x07

typedef union 
{
    uint16_t word;
    struct
    {
        /* This bit determines the output state of channel 1 for TPS2HCS08A/N-Q1 
        * versions.  */
        uint16_t CH1_ON : 1;
        /* This bit determines the output state of channel 2 for TPS2HCS08A/N-Q1 
        * versions.  */
        uint16_t CH2_ON : 1;
        /* Reserved */
        uint16_t RESERVED_23 : 14;
    } bits;
} TPS2HCSXX_SW_STATE;

typedef struct TPS2HCSXX_SW_STATE_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_SW_STATE value;
} TPS2HCSXX_SW_STATE_OBJ;

#define TPS2HCSXX_SW_STATE_CH1_ON_MASK 0x01
#define TPS2HCSXX_SW_STATE_CH1_ON_OFS 0

typedef enum {
    ch1_on_en_0x0_field = 0x0,
    ch1_on_en_0x1_field = 0x1,
} tps2hcsxx_ch1_on_field_t;

typedef enum {
    ch1_on_en_0x0_mask = 0x0,
    ch1_on_en_0x1_mask = 0x1,
} tps2hcsxx_ch1_on_mask_t;

#define TPS2HCSXX_SW_STATE_CH2_ON_MASK 0x02
#define TPS2HCSXX_SW_STATE_CH2_ON_OFS 1

typedef enum {
    ch2_on_en_0x0_field = 0x0,
    ch2_on_en_0x2_field = 0x2,
} tps2hcsxx_ch2_on_field_t;

typedef enum {
    ch2_on_en_0x0_mask = 0x0,
    ch2_on_en_0x1_mask = 0x1,
} tps2hcsxx_ch2_on_mask_t;

#define TPS2HCSXX_SW_STATE_RESERVED_23_MASK 0xFFFC
#define TPS2HCSXX_SW_STATE_RESERVED_23_OFS 2

/* --------- TPS2HCSXX_DEVICE_TEST (0x08) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_DEVICE_TEST_REG 0x08

typedef union 
{
    uint16_t word;
    struct
    {
        /* Reserved */
        uint16_t RESERVED_30 : 1;
        /* Reserved */
        uint16_t RESERVED_29 : 1;
        /* Reserved */
        uint16_t RESERVED_28 : 1;
        /* Reserved */
        uint16_t RESERVED_27 : 1;
        /* Reserved */
        uint16_t RESERVED_26 : 1;
        /* Reserved */
        uint16_t RESERVED_25 : 11;
    } bits;
} TPS2HCSXX_DEVICE_TEST;

typedef struct TPS2HCSXX_DEVICE_TEST_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_DEVICE_TEST value;
} TPS2HCSXX_DEVICE_TEST_OBJ;

#define TPS2HCSXX_DEVICE_TEST_RESERVED_30_MASK 0x01
#define TPS2HCSXX_DEVICE_TEST_RESERVED_30_OFS 0
#define TPS2HCSXX_DEVICE_TEST_RESERVED_29_MASK 0x02
#define TPS2HCSXX_DEVICE_TEST_RESERVED_29_OFS 1
#define TPS2HCSXX_DEVICE_TEST_RESERVED_28_MASK 0x04
#define TPS2HCSXX_DEVICE_TEST_RESERVED_28_OFS 2
#define TPS2HCSXX_DEVICE_TEST_RESERVED_27_MASK 0x08
#define TPS2HCSXX_DEVICE_TEST_RESERVED_27_OFS 3
#define TPS2HCSXX_DEVICE_TEST_RESERVED_26_MASK 0x10
#define TPS2HCSXX_DEVICE_TEST_RESERVED_26_OFS 4
#define TPS2HCSXX_DEVICE_TEST_RESERVED_25_MASK 0xFFE0
#define TPS2HCSXX_DEVICE_TEST_RESERVED_25_OFS 5

/* --------- TPS2HCSXX_DEV_CONFIG (0x09) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_DEV_CONFIG_REG 0x09

typedef union 
{
    uint16_t word;
    struct
    {
        /* This bit determines if the fault bits in FAULT_GLOBAL_TYPE should latch 
        * or not latch if a fault occurs.  */
        uint16_t FLT_LTCH_DIS : 1;
        /* This bit determines the timeout period for the SPI watchdog function (if 
        * enabled). The watchdog timeout triggers if there is not a valid SPI command 
        * in the watchdog timeout window.  */
        uint16_t WD_TO : 2;
        /* The bit determines if the SPI watchdog function is enabled. If enabled, 
        * the watchdog timout triggers if there is not a valid SPI command in the 
        * watchdog timeout window  */
        uint16_t WD_EN : 1;
        /* This bit signals to the device that channel 1 (CH1) and channel 2 (CH2) 
        * are paralleled in the system.  */
        uint16_t PARALLEL_12 : 1;
        /* This bit determines if the device should enter AUTO_LPM mode if all the 
        * conditions are met to enter AUTO_LPM mode.  */
        uint16_t AUTO_LPM_ENTRY : 1;
        /* This bit determines if there should be an offset in the start of the PWM 
        * between the channels.  */
        uint16_t PWM_SHIFT_DIS : 1;
        /* These bits determine how the channel 1 output should respond in LIMP_HOME 
        * state for the TPS2HCS08A/N-Q1 versions.  */
        uint16_t CH1_LH_IN : 2;
        /* These bits determine how the channel 2 output should respond in LIMP_HOME 
        * state for the TPS2HCS08A/N-Q1 versions.  */
        uint16_t CH2_LH_IN : 2;
        /* Reserved */
        uint16_t RESERVED_32 : 5;
    } bits;
} TPS2HCSXX_DEV_CONFIG;

typedef struct TPS2HCSXX_DEV_CONFIG_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_DEV_CONFIG value;
} TPS2HCSXX_DEV_CONFIG_OBJ;

#define TPS2HCSXX_DEV_CONFIG_FLT_LTCH_DIS_MASK 0x01
#define TPS2HCSXX_DEV_CONFIG_FLT_LTCH_DIS_OFS 0

typedef enum {
    flt_ltch_dis_en_0x0_field = 0x0,
    flt_ltch_dis_en_0x1_field = 0x1,
} tps2hcsxx_flt_ltch_dis_field_t;

typedef enum {
    flt_ltch_dis_en_0x0_mask = 0x0,
    flt_ltch_dis_en_0x1_mask = 0x1,
} tps2hcsxx_flt_ltch_dis_mask_t;

#define TPS2HCSXX_DEV_CONFIG_WD_TO_MASK 0x06
#define TPS2HCSXX_DEV_CONFIG_WD_TO_OFS 1

typedef enum {
    wd_to_en_0x0_field = 0x0,
    wd_to_en_0x2_field = 0x2,
    wd_to_en_0x4_field = 0x4,
    wd_to_en_0x6_field = 0x6,
} tps2hcsxx_wd_to_field_t;

typedef enum {
    wd_to_en_0x0_mask = 0x0,
    wd_to_en_0x1_mask = 0x1,
    wd_to_en_0x2_mask = 0x2,
    wd_to_en_0x3_mask = 0x3,
} tps2hcsxx_wd_to_mask_t;

#define TPS2HCSXX_DEV_CONFIG_WD_EN_MASK 0x08
#define TPS2HCSXX_DEV_CONFIG_WD_EN_OFS 3

typedef enum {
    wd_en_en_0x0_field = 0x0,
    wd_en_en_0x8_field = 0x8,
} tps2hcsxx_wd_en_field_t;

typedef enum {
    wd_en_en_0x0_mask = 0x0,
    wd_en_en_0x1_mask = 0x1,
} tps2hcsxx_wd_en_mask_t;

#define TPS2HCSXX_DEV_CONFIG_PARALLEL_12_MASK 0x10
#define TPS2HCSXX_DEV_CONFIG_PARALLEL_12_OFS 4

typedef enum {
    parallel_12_en_0x0_field = 0x0,
    parallel_12_en_0x10_field = 0x10,
} tps2hcsxx_parallel_12_field_t;

typedef enum {
    parallel_12_en_0x0_mask = 0x0,
    parallel_12_en_0x1_mask = 0x1,
} tps2hcsxx_parallel_12_mask_t;

#define TPS2HCSXX_DEV_CONFIG_AUTO_LPM_ENTRY_MASK 0x20
#define TPS2HCSXX_DEV_CONFIG_AUTO_LPM_ENTRY_OFS 5

typedef enum {
    auto_lpm_entry_en_0x0_field = 0x0,
    auto_lpm_entry_en_0x20_field = 0x20,
} tps2hcsxx_auto_lpm_entry_field_t;

typedef enum {
    auto_lpm_entry_en_0x0_mask = 0x0,
    auto_lpm_entry_en_0x1_mask = 0x1,
} tps2hcsxx_auto_lpm_entry_mask_t;

#define TPS2HCSXX_DEV_CONFIG_PWM_SHIFT_DIS_MASK 0x40
#define TPS2HCSXX_DEV_CONFIG_PWM_SHIFT_DIS_OFS 6

typedef enum {
    pwm_shift_dis_en_0x0_field = 0x0,
    pwm_shift_dis_en_0x40_field = 0x40,
} tps2hcsxx_pwm_shift_dis_field_t;

typedef enum {
    pwm_shift_dis_en_0x0_mask = 0x0,
    pwm_shift_dis_en_0x1_mask = 0x1,
} tps2hcsxx_pwm_shift_dis_mask_t;

#define TPS2HCSXX_DEV_CONFIG_CH1_LH_IN_MASK 0x180
#define TPS2HCSXX_DEV_CONFIG_CH1_LH_IN_OFS 7

typedef enum {
    ch1_lh_in_en_0x0_field = 0x0,
    ch1_lh_in_en_0x180_field = 0x180,
} tps2hcsxx_ch1_lh_in_field_t;

typedef enum {
    ch1_lh_in_en_0x0_mask = 0x0,
    ch1_lh_in_en_0x3_mask = 0x3,
} tps2hcsxx_ch1_lh_in_mask_t;

#define TPS2HCSXX_DEV_CONFIG_CH2_LH_IN_MASK 0x600
#define TPS2HCSXX_DEV_CONFIG_CH2_LH_IN_OFS 9

typedef enum {
    ch2_lh_in_en_0x0_field = 0x0,
    ch2_lh_in_en_0x600_field = 0x600,
} tps2hcsxx_ch2_lh_in_field_t;

typedef enum {
    ch2_lh_in_en_0x0_mask = 0x0,
    ch2_lh_in_en_0x3_mask = 0x3,
} tps2hcsxx_ch2_lh_in_mask_t;

#define TPS2HCSXX_DEV_CONFIG_RESERVED_32_MASK 0xF800
#define TPS2HCSXX_DEV_CONFIG_RESERVED_32_OFS 11

/* --------- TPS2HCSXX_ADC_CONFIG (0x0A) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_ADC_CONFIG_REG 0x0A

typedef union 
{
    uint16_t word;
    struct
    {
        /* This bit determines if the ADC function should be disabled. If disabled, 
        * no VDS_SNS, VSNS, TSNS, or ISNS is possible.  The ADC is enabled by default. 
        *  */
        uint16_t ADC_DIS : 1;
        /* This bit determines if the VBB_SNS function is disabled. If disabled, 
        * this excludes supply voltage VBB conversion in the ADC conversion sequence. 
        *  */
        uint16_t ADC_VBB_DIS : 1;
        /* This bit determines if the current sense (ISNS) function is disabled for 
        * all channels. If disabled, this excludes the ISNS conversion for all channels 
        * in the ADC conversion sequence  Note: The ISNS function can also be enabled 
        * or disabled per channel through the ISNS_DIS_CHx in DIAG_CONFIG_CHx register. 
        * This bit must be set to 0 to enable/disable the function on a channel basis. 
        *  */
        uint16_t ADC_ISNS_DIS : 1;
        /* This bit determines if the temperature sense function is disabled for 
        * all channels. If disabled, this excludes the temperature sense conversion 
        * for all channels in the ADC conversion sequence. Note: The temperature 
        * sense function can only be enabled or disabled globally  */
        uint16_t ADC_TSNS_DIS : 1;
        /* This bit determines if the VOUT sense (VSNS) funciton should be disabled 
        * for all channels. If disabled, this excludes the VOUT conversion for all 
        * channels in the ADC conversion sequence.  Note: The VSNS function can also 
        * be enabled or disabled per channel through the VSNS_DIS_CHx bit in the 
        * DIAG_CONFIG_CHx register. This bit must be set to 0 to enable/disable the 
        * function on a channel basis.  */
        uint16_t ADC_VSNS_DIS : 1;
        /* This bit determines if the VDS sense funciton should be disabled for all 
        * channels. If disabled, this excludes VDS conversion for all channels in 
        * the ADC conversion sequence.  Note: The VDS sense function can also be 
        * enabled or disabled per channel through the VDS_SNS_DIS_CHx bit in the 
        * DIAG_CONFIG_CHx register. This bit must be set to 0 to enable/disable the 
        * function on a channel basis.  */
        uint16_t ADC_VDS_DIS : 1;
        /* These bits determine the sampling and conversion rate for the current 
        * sense (ISNS). The slower the sampling and conversion rate the lower the 
        * IQ consumption.  */
        uint16_t ADC_ISNS_SAMPLE_CONFIG : 2;
        /* Reserved */
        uint16_t RESERVED_34 : 8;
    } bits;
} TPS2HCSXX_ADC_CONFIG;

typedef struct TPS2HCSXX_ADC_CONFIG_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_ADC_CONFIG value;
} TPS2HCSXX_ADC_CONFIG_OBJ;

#define TPS2HCSXX_ADC_CONFIG_ADC_DIS_MASK 0x01
#define TPS2HCSXX_ADC_CONFIG_ADC_DIS_OFS 0

typedef enum {
    adc_dis_en_0x0_field = 0x0,
    adc_dis_en_0x1_field = 0x1,
} tps2hcsxx_adc_dis_field_t;

typedef enum {
    adc_dis_en_0x0_mask = 0x0,
    adc_dis_en_0x1_mask = 0x1,
} tps2hcsxx_adc_dis_mask_t;

#define TPS2HCSXX_ADC_CONFIG_ADC_VBB_DIS_MASK 0x02
#define TPS2HCSXX_ADC_CONFIG_ADC_VBB_DIS_OFS 1

typedef enum {
    adc_vbb_dis_en_0x0_field = 0x0,
    adc_vbb_dis_en_0x2_field = 0x2,
} tps2hcsxx_adc_vbb_dis_field_t;

typedef enum {
    adc_vbb_dis_en_0x0_mask = 0x0,
    adc_vbb_dis_en_0x1_mask = 0x1,
} tps2hcsxx_adc_vbb_dis_mask_t;

#define TPS2HCSXX_ADC_CONFIG_ADC_ISNS_DIS_MASK 0x04
#define TPS2HCSXX_ADC_CONFIG_ADC_ISNS_DIS_OFS 2

typedef enum {
    adc_isns_dis_en_0x0_field = 0x0,
    adc_isns_dis_en_0x4_field = 0x4,
} tps2hcsxx_adc_isns_dis_field_t;

typedef enum {
    adc_isns_dis_en_0x0_mask = 0x0,
    adc_isns_dis_en_0x1_mask = 0x1,
} tps2hcsxx_adc_isns_dis_mask_t;

#define TPS2HCSXX_ADC_CONFIG_ADC_TSNS_DIS_MASK 0x08
#define TPS2HCSXX_ADC_CONFIG_ADC_TSNS_DIS_OFS 3

typedef enum {
    adc_tsns_dis_en_0x0_field = 0x0,
    adc_tsns_dis_en_0x8_field = 0x8,
} tps2hcsxx_adc_tsns_dis_field_t;

typedef enum {
    adc_tsns_dis_en_0x0_mask = 0x0,
    adc_tsns_dis_en_0x1_mask = 0x1,
} tps2hcsxx_adc_tsns_dis_mask_t;

#define TPS2HCSXX_ADC_CONFIG_ADC_VSNS_DIS_MASK 0x10
#define TPS2HCSXX_ADC_CONFIG_ADC_VSNS_DIS_OFS 4

typedef enum {
    adc_vsns_dis_en_0x0_field = 0x0,
    adc_vsns_dis_en_0x10_field = 0x10,
} tps2hcsxx_adc_vsns_dis_field_t;

typedef enum {
    adc_vsns_dis_en_0x0_mask = 0x0,
    adc_vsns_dis_en_0x1_mask = 0x1,
} tps2hcsxx_adc_vsns_dis_mask_t;

#define TPS2HCSXX_ADC_CONFIG_ADC_VDS_DIS_MASK 0x20
#define TPS2HCSXX_ADC_CONFIG_ADC_VDS_DIS_OFS 5

typedef enum {
    adc_vds_dis_en_0x0_field = 0x0,
    adc_vds_dis_en_0x20_field = 0x20,
} tps2hcsxx_adc_vds_dis_field_t;

typedef enum {
    adc_vds_dis_en_0x0_mask = 0x0,
    adc_vds_dis_en_0x1_mask = 0x1,
} tps2hcsxx_adc_vds_dis_mask_t;

#define TPS2HCSXX_ADC_CONFIG_ADC_ISNS_SAMPLE_CONFIG_MASK 0xC0
#define TPS2HCSXX_ADC_CONFIG_ADC_ISNS_SAMPLE_CONFIG_OFS 6

typedef enum {
    adc_isns_sample_config_en_0x0_field = 0x0,
    adc_isns_sample_config_en_0x40_field = 0x40,
    adc_isns_sample_config_en_0x80_field = 0x80,
    adc_isns_sample_config_en_0xc0_field = 0xc0,
} tps2hcsxx_adc_isns_sample_config_field_t;

typedef enum {
    adc_isns_sample_config_en_0x0_mask = 0x0,
    adc_isns_sample_config_en_0x1_mask = 0x1,
    adc_isns_sample_config_en_0x2_mask = 0x2,
    adc_isns_sample_config_en_0x3_mask = 0x3,
} tps2hcsxx_adc_isns_sample_config_mask_t;

#define TPS2HCSXX_ADC_CONFIG_RESERVED_34_MASK 0xFF00
#define TPS2HCSXX_ADC_CONFIG_RESERVED_34_OFS 8

/* --------- TPS2HCSXX_ADC_RESULT_VBB (0x0B) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_ADC_RESULT_VBB_REG 0x0B

typedef union 
{
    uint16_t word;
    struct
    {
        /* 10-bit ADC result from the conversion of the VBB voltage  */
        uint16_t ADC_RESULT_VBB : 10;
        /* This bit indicates if a new ADC result for VBB voltage conversion is available 
        * since the last read  */
        uint16_t VBB_RDY : 1;
        /* Reserved */
        uint16_t RESERVED_36 : 5;
    } bits;
} TPS2HCSXX_ADC_RESULT_VBB;

typedef struct TPS2HCSXX_ADC_RESULT_VBB_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_ADC_RESULT_VBB value;
} TPS2HCSXX_ADC_RESULT_VBB_OBJ;

#define TPS2HCSXX_ADC_RESULT_VBB_ADC_RESULT_VBB_MASK 0x3FF
#define TPS2HCSXX_ADC_RESULT_VBB_ADC_RESULT_VBB_OFS 0
#define TPS2HCSXX_ADC_RESULT_VBB_VBB_RDY_MASK 0x400
#define TPS2HCSXX_ADC_RESULT_VBB_VBB_RDY_OFS 10

typedef enum {
    vbb_rdy_en_0x0_field = 0x0,
    vbb_rdy_en_0x400_field = 0x400,
} tps2hcsxx_vbb_rdy_field_t;

typedef enum {
    vbb_rdy_en_0x0_mask = 0x0,
    vbb_rdy_en_0x1_mask = 0x1,
} tps2hcsxx_vbb_rdy_mask_t;

#define TPS2HCSXX_ADC_RESULT_VBB_RESERVED_36_MASK 0xF800
#define TPS2HCSXX_ADC_RESULT_VBB_RESERVED_36_OFS 11

/* --------- TPS2HCSXX_ADC_RESULT_BIST (0x0C) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_ADC_RESULT_BIST_REG 0x0C

typedef union 
{
    uint16_t word;
    struct
    {
        /* Reserved */
        uint16_t RESERVED_40 : 10;
        /* Reserved */
        uint16_t RESERVED_39 : 1;
        /* Reserved */
        uint16_t RESERVED_38 : 5;
    } bits;
} TPS2HCSXX_ADC_RESULT_BIST;

typedef struct TPS2HCSXX_ADC_RESULT_BIST_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_ADC_RESULT_BIST value;
} TPS2HCSXX_ADC_RESULT_BIST_OBJ;

#define TPS2HCSXX_ADC_RESULT_BIST_RESERVED_40_MASK 0x3FF
#define TPS2HCSXX_ADC_RESULT_BIST_RESERVED_40_OFS 0
#define TPS2HCSXX_ADC_RESULT_BIST_RESERVED_39_MASK 0x400
#define TPS2HCSXX_ADC_RESULT_BIST_RESERVED_39_OFS 10
#define TPS2HCSXX_ADC_RESULT_BIST_RESERVED_38_MASK 0xF800
#define TPS2HCSXX_ADC_RESULT_BIST_RESERVED_38_OFS 11

/* --------- TPS2HCSXX_FLT_STAT_CH1 (0x0D) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_FLT_STAT_CH1_REG 0x0D

typedef union 
{
    uint16_t word;
    struct
    {
        /* This bit indicates if the channel 1 FET temperature is above the overtemperature 
        * warning threshold.  The fault is latched and cleared when FLT_STAT_CH1 
        * register is read and the fault condition no longer exists  */
        uint16_t THERMAL_WRN_CH1 : 1;
        /* Reserved */
        uint16_t RESERVED_43 : 1;
        /* This bit indicates if there is an open load in the off-state on channel 
        * 1.  The output of channel 1 is pulled up by the OL_PULLUP_STR setting. 
        *  Note: OL_OFF_EN_CH1 must be enabled for this bit to signal an open load 
        * in the off-state.  */
        uint16_t OL_OFF_CH1 : 1;
        /* This bit indicates if there was a short to VBB in the off-state on channel 
        * 1.  The fault is latched and cleared when FLT_STAT_CH1 register is read 
        * and the fault condition no longer exists  Note: SVBB_EN_CH1 must be enabled 
        * for this bit to signal short to VBB in the off state. */
        uint16_t SHRT_VBB_CH1 : 1;
        /* This bit indicates if an overcurrent protection fault has occurred on 
        * channel 1  The fault is latched and cleared when FLT_STAT_CH1 register 
        * is read and the fault condition no longer exists  */
        uint16_t ILIMIT_CH1 : 1;
        /* This bit indicates if thermal shutdown fault has occurred on channel 1. 
        *   The fault is latched and cleared when the FLT_STAT_CH1 register is read 
        * and the retry timer has expired and the channel temperature has fallen 
        * below the thermal shutdown hysteresis threshold  */
        uint16_t THERMAL_SD_CH1 : 1;
        /* This bit indicates if channel 1 was the cause for the device to come out 
        * of AUTO_LPM or MANUAL_LPM regardless of the cause (load step, short-circuit) 
        *  */
        uint16_t LPM_WAKE_CH1 : 1;
        /* This bit indicates if an I2T fault has occured on channel 1. I2T_EN must 
        * be set to 1 in order for this bit indicate an I2T fault.  The fault is 
        * latched and cleared when FLT_STAT_CH1 register is read and the fault condition 
        * no longer exists  Note: This bit does not indicate an overcurrent protection 
        * or thermal shutdown fault */
        uint16_t I2T_FLT_CH1 : 1;
        /* This bit indicates if the drain-to-source voltage (VDS) of channel 1 output 
        * when enabled is #60# 2V after the INRUSH_DURATION period.  */
        uint16_t VOUT_ERR_CH1 : 1;
        /* This bit indicates the current state of channel 1 no matter which mode 
        * the device is in as long as SPI is functioning  */
        uint16_t SW_STATE_STAT_CH1 : 1;
        /* The bit indicates if channel 1 is currently in an auto retry wait time 
        * period (2ms)  */
        uint16_t FLT_CH1 : 1;
        /* This bit indicates if channel 1 has been latch off due to an overcurrent 
        * protection or thermal shutdown fault.  The bit clears when the channel 
        * is toggled off and back on.  Note: This bit does not signal when a shutdown 
        * occurs due to I2T  */
        uint16_t LATCH_STAT_CH1 : 1;
        /* This bit indicates if channel 1 in the I2T loop and is accumulating. When 
        * channel 1 is not in the I2T loop the value will be 0  */
        uint16_t I2T_MOD_CH1 : 1;
        /* Reserved */
        uint16_t RESERVED_42 : 3;
    } bits;
} TPS2HCSXX_FLT_STAT_CH1;

typedef struct TPS2HCSXX_FLT_STAT_CH1_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_FLT_STAT_CH1 value;
} TPS2HCSXX_FLT_STAT_CH1_OBJ;

#define TPS2HCSXX_FLT_STAT_CH1_THERMAL_WRN_CH1_MASK 0x01
#define TPS2HCSXX_FLT_STAT_CH1_THERMAL_WRN_CH1_OFS 0

typedef enum {
    thermal_wrn_ch1_en_0x0_field = 0x0,
    thermal_wrn_ch1_en_0x1_field = 0x1,
} tps2hcsxx_thermal_wrn_ch1_field_t;

typedef enum {
    thermal_wrn_ch1_en_0x0_mask = 0x0,
    thermal_wrn_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_thermal_wrn_ch1_mask_t;

#define TPS2HCSXX_FLT_STAT_CH1_RESERVED_43_MASK 0x02
#define TPS2HCSXX_FLT_STAT_CH1_RESERVED_43_OFS 1
#define TPS2HCSXX_FLT_STAT_CH1_OL_OFF_CH1_MASK 0x04
#define TPS2HCSXX_FLT_STAT_CH1_OL_OFF_CH1_OFS 2

typedef enum {
    ol_off_ch1_en_0x0_field = 0x0,
    ol_off_ch1_en_0x4_field = 0x4,
} tps2hcsxx_ol_off_ch1_field_t;

typedef enum {
    ol_off_ch1_en_0x0_mask = 0x0,
    ol_off_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_ol_off_ch1_mask_t;

#define TPS2HCSXX_FLT_STAT_CH1_SHRT_VBB_CH1_MASK 0x08
#define TPS2HCSXX_FLT_STAT_CH1_SHRT_VBB_CH1_OFS 3

typedef enum {
    shrt_vbb_ch1_en_0x0_field = 0x0,
    shrt_vbb_ch1_en_0x8_field = 0x8,
} tps2hcsxx_shrt_vbb_ch1_field_t;

typedef enum {
    shrt_vbb_ch1_en_0x0_mask = 0x0,
    shrt_vbb_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_shrt_vbb_ch1_mask_t;

#define TPS2HCSXX_FLT_STAT_CH1_ILIMIT_CH1_MASK 0x10
#define TPS2HCSXX_FLT_STAT_CH1_ILIMIT_CH1_OFS 4

typedef enum {
    ilimit_ch1_en_0x0_field = 0x0,
    ilimit_ch1_en_0x10_field = 0x10,
} tps2hcsxx_ilimit_ch1_field_t;

typedef enum {
    ilimit_ch1_en_0x0_mask = 0x0,
    ilimit_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_ilimit_ch1_mask_t;

#define TPS2HCSXX_FLT_STAT_CH1_THERMAL_SD_CH1_MASK 0x20
#define TPS2HCSXX_FLT_STAT_CH1_THERMAL_SD_CH1_OFS 5

typedef enum {
    thermal_sd_ch1_en_0x0_field = 0x0,
    thermal_sd_ch1_en_0x20_field = 0x20,
} tps2hcsxx_thermal_sd_ch1_field_t;

typedef enum {
    thermal_sd_ch1_en_0x0_mask = 0x0,
    thermal_sd_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_thermal_sd_ch1_mask_t;

#define TPS2HCSXX_FLT_STAT_CH1_LPM_WAKE_CH1_MASK 0x40
#define TPS2HCSXX_FLT_STAT_CH1_LPM_WAKE_CH1_OFS 6

typedef enum {
    lpm_wake_ch1_en_0x0_field = 0x0,
    lpm_wake_ch1_en_0x40_field = 0x40,
} tps2hcsxx_lpm_wake_ch1_field_t;

typedef enum {
    lpm_wake_ch1_en_0x0_mask = 0x0,
    lpm_wake_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_lpm_wake_ch1_mask_t;

#define TPS2HCSXX_FLT_STAT_CH1_I2T_FLT_CH1_MASK 0x80
#define TPS2HCSXX_FLT_STAT_CH1_I2T_FLT_CH1_OFS 7

typedef enum {
    i2t_flt_ch1_en_0x0_field = 0x0,
    i2t_flt_ch1_en_0x80_field = 0x80,
} tps2hcsxx_i2t_flt_ch1_field_t;

typedef enum {
    i2t_flt_ch1_en_0x0_mask = 0x0,
    i2t_flt_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_i2t_flt_ch1_mask_t;

#define TPS2HCSXX_FLT_STAT_CH1_VOUT_ERR_CH1_MASK 0x100
#define TPS2HCSXX_FLT_STAT_CH1_VOUT_ERR_CH1_OFS 8

typedef enum {
    vout_err_ch1_en_0x0_field = 0x0,
    vout_err_ch1_en_0x100_field = 0x100,
} tps2hcsxx_vout_err_ch1_field_t;

typedef enum {
    vout_err_ch1_en_0x0_mask = 0x0,
    vout_err_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_vout_err_ch1_mask_t;

#define TPS2HCSXX_FLT_STAT_CH1_SW_STATE_STAT_CH1_MASK 0x200
#define TPS2HCSXX_FLT_STAT_CH1_SW_STATE_STAT_CH1_OFS 9

typedef enum {
    sw_state_stat_ch1_en_0x0_field = 0x0,
    sw_state_stat_ch1_en_0x200_field = 0x200,
} tps2hcsxx_sw_state_stat_ch1_field_t;

typedef enum {
    sw_state_stat_ch1_en_0x0_mask = 0x0,
    sw_state_stat_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_sw_state_stat_ch1_mask_t;

#define TPS2HCSXX_FLT_STAT_CH1_FLT_CH1_MASK 0x400
#define TPS2HCSXX_FLT_STAT_CH1_FLT_CH1_OFS 10

typedef enum {
    flt_ch1_en_0x0_field = 0x0,
    flt_ch1_en_0x400_field = 0x400,
} tps2hcsxx_flt_ch1_field_t;

typedef enum {
    flt_ch1_en_0x0_mask = 0x0,
    flt_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_flt_ch1_mask_t;

#define TPS2HCSXX_FLT_STAT_CH1_LATCH_STAT_CH1_MASK 0x800
#define TPS2HCSXX_FLT_STAT_CH1_LATCH_STAT_CH1_OFS 11

typedef enum {
    latch_stat_ch1_en_0x0_field = 0x0,
    latch_stat_ch1_en_0x800_field = 0x800,
} tps2hcsxx_latch_stat_ch1_field_t;

typedef enum {
    latch_stat_ch1_en_0x0_mask = 0x0,
    latch_stat_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_latch_stat_ch1_mask_t;

#define TPS2HCSXX_FLT_STAT_CH1_I2T_MOD_CH1_MASK 0x1000
#define TPS2HCSXX_FLT_STAT_CH1_I2T_MOD_CH1_OFS 12

typedef enum {
    i2t_mod_ch1_en_0x0_field = 0x0,
    i2t_mod_ch1_en_0x1000_field = 0x1000,
} tps2hcsxx_i2t_mod_ch1_field_t;

typedef enum {
    i2t_mod_ch1_en_0x0_mask = 0x0,
    i2t_mod_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_i2t_mod_ch1_mask_t;

#define TPS2HCSXX_FLT_STAT_CH1_RESERVED_42_MASK 0xE000
#define TPS2HCSXX_FLT_STAT_CH1_RESERVED_42_OFS 13

/* --------- TPS2HCSXX_PWM_CH1 (0x0E) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_PWM_CH1_REG 0x0E

typedef union 
{
    uint16_t word;
    struct
    {
        /* This bit enables PWM operation of channel 1.   Note: The duty cycle of 
        * PWM #62# 200us. If fault will occur in FLT_STAT_CH1 register. PWM mode 
        * can only be enabled if CAP_CHRG_CH1[1:0] = 0  */
        uint16_t PWM_EN_CH1 : 1;
        /* These bits are used to set the duty cycle for the PWM operation for channel 
        * 1. Each bit is ~0.39% duty cycle, linearly up to 100% duty cycle  */
        uint16_t PWM_DTY_CH1 : 8;
        /* Set the PWM frequency  */
        uint16_t PWM_FREQ_CH1 : 3;
        /* Reserved */
        uint16_t RESERVED_44 : 4;
    } bits;
} TPS2HCSXX_PWM_CH1;

typedef struct TPS2HCSXX_PWM_CH1_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_PWM_CH1 value;
} TPS2HCSXX_PWM_CH1_OBJ;

#define TPS2HCSXX_PWM_CH1_PWM_EN_CH1_MASK 0x01
#define TPS2HCSXX_PWM_CH1_PWM_EN_CH1_OFS 0

typedef enum {
    pwm_en_ch1_en_0x0_field = 0x0,
    pwm_en_ch1_en_0x1_field = 0x1,
} tps2hcsxx_pwm_en_ch1_field_t;

typedef enum {
    pwm_en_ch1_en_0x0_mask = 0x0,
    pwm_en_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_pwm_en_ch1_mask_t;

#define TPS2HCSXX_PWM_CH1_PWM_DTY_CH1_MASK 0x1FE
#define TPS2HCSXX_PWM_CH1_PWM_DTY_CH1_OFS 1
#define TPS2HCSXX_PWM_CH1_PWM_FREQ_CH1_MASK 0xE00
#define TPS2HCSXX_PWM_CH1_PWM_FREQ_CH1_OFS 9

typedef enum {
    pwm_freq_ch1_en_0x0_field = 0x0,
    pwm_freq_ch1_en_0x200_field = 0x200,
    pwm_freq_ch1_en_0x400_field = 0x400,
    pwm_freq_ch1_en_0x600_field = 0x600,
    pwm_freq_ch1_en_0x800_field = 0x800,
    pwm_freq_ch1_en_0xa00_field = 0xa00,
    pwm_freq_ch1_en_0xc00_field = 0xc00,
    pwm_freq_ch1_en_0xe00_field = 0xe00,
} tps2hcsxx_pwm_freq_ch1_field_t;

typedef enum {
    pwm_freq_ch1_en_0x0_mask = 0x0,
    pwm_freq_ch1_en_0x1_mask = 0x1,
    pwm_freq_ch1_en_0x2_mask = 0x2,
    pwm_freq_ch1_en_0x3_mask = 0x3,
    pwm_freq_ch1_en_0x4_mask = 0x4,
    pwm_freq_ch1_en_0x5_mask = 0x5,
    pwm_freq_ch1_en_0x6_mask = 0x6,
    pwm_freq_ch1_en_0x7_mask = 0x7,
} tps2hcsxx_pwm_freq_ch1_mask_t;

#define TPS2HCSXX_PWM_CH1_RESERVED_44_MASK 0xF000
#define TPS2HCSXX_PWM_CH1_RESERVED_44_OFS 12

/* --------- TPS2HCSXX_ILIM_CONFIG_CH1 (0x0F) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_ILIM_CONFIG_CH1_REG 0x0F

typedef union 
{
    uint16_t word;
    struct
    {
        /* These bits determine the overcurrent protection (I#sub#OCP#/sub#) threshold 
        * for channel 1 in steady state operation after the INRUSH_DURATION period 
        * expires.  Note: If VBB #62# 18V, the device will limit the overcurrent 
        * threshold to 47.5A  */
        uint16_t ILIMIT_SET_CH1 : 4;
        /* These bits determine the inrush current limit on channel 1 for the different 
        * capacitive charging modes set by CAP_CHRG_CH1 bits.  Note: If VBB #62# 
        * 18V, the device will limit the overcurrent threshold to 47.5A  If no cap 
        * charging mode (CAP_CHRG_CH1 = 00) is used, the values are:  0h = 10A #br# 
        * 1h = 12.5A #br# 2h = 15 A #br# 3h = 17.5A #br# 4h = 20A #br#5h = 22.5A 
        * #br# 6h = 25A #br# 7h = 32.5A #br# 8h = 40A #br# 9h = 47.5A #br# Ah = 55A 
        * #br# Bh = 62.5A #br# Ch = 70A  If current regulation mode (CAP_CHRG_CH1 
        * = 10) is used, the values are:  */
        uint16_t INRUSH_LIMIT_CH1 : 4;
        /* These bits determine the inrush period duration during which the INRUSH_LIMIT_CH1 
        * level applies.  */
        uint16_t INRUSH_DURATION_CH1 : 3;
        /* Enables the I2T functionality for channel 1. I2T can be enabled before 
        * the channel is enabled or while it is enabled, but the I2T calculation 
        * will only start after the inrush period ends.  */
        uint16_t I2T_EN_CH1 : 1;
        /* These bits set the capacitive charging mode during the inrush period after 
        * turn on.  When CAP_CHRG_CH1 = 00, these are bits are programmed as the 
        * overcurrent protection threshold during the INRUSH_DURATION_CH1 period. 
        * The channel will immediately turn off if the threshold is reached.  When 
        * CAP_CHRG_CH1 = 10, these bits are programmed as the current limit regulation 
        * threshold. The channel will turn on into the current limit and will continue 
        * to regulate the current until the output is fully charged or there is a 
        * thermal shutdown event.  Note: PWM and I2T is not enabled during the INRUSH_DURATION. 
        *  */
        uint16_t CAP_CHRG_CH1 : 2;
        /* Reserved */
        uint16_t RESERVED_45 : 2;
    } bits;
} TPS2HCSXX_ILIM_CONFIG_CH1;

typedef struct TPS2HCSXX_ILIM_CONFIG_CH1_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_ILIM_CONFIG_CH1 value;
} TPS2HCSXX_ILIM_CONFIG_CH1_OBJ;

#define TPS2HCSXX_ILIM_CONFIG_CH1_ILIMIT_SET_CH1_MASK 0x0F
#define TPS2HCSXX_ILIM_CONFIG_CH1_ILIMIT_SET_CH1_OFS 0

typedef enum {
    ilimit_set_ch1_en_10A_field = 0x0,
    ilimit_set_ch1_en_12p5A_field = 0x1,
    ilimit_set_ch1_en_0x2_field = 0x2,
    ilimit_set_ch1_en_17p5A_field = 0x3,
    ilimit_set_ch1_en_20A_field = 0x4,
    ilimit_set_ch1_en_22p5A_field = 0x5,
    ilimit_set_ch1_en_25A_field = 0x6,
    ilimit_set_ch1_en_32p5A_field = 0x7,
    ilimit_set_ch1_en_40A_field = 0x8,
    ilimit_set_ch1_en_47p5A_field = 0x9,
    ilimit_set_ch1_en_55A_field = 0xa,
    ilimit_set_ch1_en_62p5A_field = 0xb,
    ilimit_set_ch1_en_0xc_field = 0xc,
} tps2hcsxx_ilimit_set_ch1_field_t;

typedef enum {
    ilimit_set_ch1_en_10A_mask = 0x0,
    ilimit_set_ch1_en_12p5A_mask = 0x1,
    ilimit_set_ch1_en_0x2_mask = 0x2,
    ilimit_set_ch1_en_17p5A_mask = 0x3,
    ilimit_set_ch1_en_20A_mask = 0x4,
    ilimit_set_ch1_en_22p5A_mask = 0x5,
    ilimit_set_ch1_en_25A_mask = 0x6,
    ilimit_set_ch1_en_32p5A_mask = 0x7,
    ilimit_set_ch1_en_40A_mask = 0x8,
    ilimit_set_ch1_en_47p5A_mask = 0x9,
    ilimit_set_ch1_en_55A_mask = 0xa,
    ilimit_set_ch1_en_62p5A_mask = 0xb,
    ilimit_set_ch1_en_0xc_mask = 0xc,
} tps2hcsxx_ilimit_set_ch1_mask_t;

#define TPS2HCSXX_ILIM_CONFIG_CH1_INRUSH_LIMIT_CH1_MASK 0xF0
#define TPS2HCSXX_ILIM_CONFIG_CH1_INRUSH_LIMIT_CH1_OFS 4

typedef enum {
    inrush_limit_ch1_en_2A_field = 0x0,
    inrush_limit_ch1_en_2p5A_field = 0x10,
    inrush_limit_ch1_en_3A_field = 0x20,
    inrush_limit_ch1_en_3p5A_field = 0x30,
    inrush_limit_ch1_en_4A_field = 0x40,
    inrush_limit_ch1_en_4p5A_field = 0x50,
    inrush_limit_ch1_en_5A_field = 0x60,
    inrush_limit_ch1_en_6p5A_field = 0x70,
    inrush_limit_ch1_en_8A_field = 0x80,
    inrush_limit_ch1_en_9p5A_field = 0x90,
    inrush_limit_ch1_en_11A_field = 0xa0,
    inrush_limit_ch1_en_12p5A_field = 0xb0,
    inrush_limit_ch1_en_0xc0_field = 0xc0,
} tps2hcsxx_inrush_limit_ch1_field_t;

typedef enum {
    inrush_limit_ch1_en_2A_mask = 0x0,
    inrush_limit_ch1_en_2p5A_mask = 0x1,
    inrush_limit_ch1_en_3A_mask = 0x2,
    inrush_limit_ch1_en_3p5A_mask = 0x3,
    inrush_limit_ch1_en_4A_mask = 0x4,
    inrush_limit_ch1_en_4p5A_mask = 0x5,
    inrush_limit_ch1_en_5A_mask = 0x6,
    inrush_limit_ch1_en_6p5A_mask = 0x7,
    inrush_limit_ch1_en_8A_mask = 0x8,
    inrush_limit_ch1_en_9p5A_mask = 0x9,
    inrush_limit_ch1_en_11A_mask = 0xa,
    inrush_limit_ch1_en_12p5A_mask = 0xb,
    inrush_limit_ch1_en_0xc_mask = 0xc,
} tps2hcsxx_inrush_limit_ch1_mask_t;

#define TPS2HCSXX_ILIM_CONFIG_CH1_INRUSH_DURATION_CH1_MASK 0x700
#define TPS2HCSXX_ILIM_CONFIG_CH1_INRUSH_DURATION_CH1_OFS 8

typedef enum {
    inrush_duration_ch1_en_0ms_field = 0x0,
    inrush_duration_ch1_en_2ms_field = 0x100,
    inrush_duration_ch1_en_4ms_field = 0x200,
    inrush_duration_ch1_en_6ms_field = 0x300,
    inrush_duration_ch1_en_10ms_field = 0x400,
    inrush_duration_ch1_en_20ms_field = 0x500,
    inrush_duration_ch1_en_50ms_field = 0x600,
    inrush_duration_ch1_en_100ms_field = 0x700,
} tps2hcsxx_inrush_duration_ch1_field_t;

typedef enum {
    inrush_duration_ch1_en_0ms_mask = 0x0,
    inrush_duration_ch1_en_2ms_mask = 0x1,
    inrush_duration_ch1_en_4ms_mask = 0x2,
    inrush_duration_ch1_en_6ms_mask = 0x3,
    inrush_duration_ch1_en_10ms_mask = 0x4,
    inrush_duration_ch1_en_20ms_mask = 0x5,
    inrush_duration_ch1_en_50ms_mask = 0x6,
    inrush_duration_ch1_en_100ms_mask = 0x7,
} tps2hcsxx_inrush_duration_ch1_mask_t;

#define TPS2HCSXX_ILIM_CONFIG_CH1_I2T_EN_CH1_MASK 0x800
#define TPS2HCSXX_ILIM_CONFIG_CH1_I2T_EN_CH1_OFS 11

typedef enum {
    i2t_en_ch1_en_0x0_field = 0x0,
    i2t_en_ch1_en_0x800_field = 0x800,
} tps2hcsxx_i2t_en_ch1_field_t;

typedef enum {
    i2t_en_ch1_en_0x0_mask = 0x0,
    i2t_en_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_i2t_en_ch1_mask_t;

#define TPS2HCSXX_ILIM_CONFIG_CH1_CAP_CHRG_CH1_MASK 0x3000
#define TPS2HCSXX_ILIM_CONFIG_CH1_CAP_CHRG_CH1_OFS 12

typedef enum {
    cap_chrg_ch1_en_0x0_field = 0x0,
    cap_chrg_ch1_en_0x1000_field = 0x1000,
    cap_chrg_ch1_en_0x2000_field = 0x2000,
    cap_chrg_ch1_en_0x3000_field = 0x3000,
} tps2hcsxx_cap_chrg_ch1_field_t;

typedef enum {
    cap_chrg_ch1_en_0x0_mask = 0x0,
    cap_chrg_ch1_en_0x1_mask = 0x1,
    cap_chrg_ch1_en_0x2_mask = 0x2,
    cap_chrg_ch1_en_0x3_mask = 0x3,
} tps2hcsxx_cap_chrg_ch1_mask_t;

#define TPS2HCSXX_ILIM_CONFIG_CH1_RESERVED_45_MASK 0xC000
#define TPS2HCSXX_ILIM_CONFIG_CH1_RESERVED_45_OFS 14

/* --------- TPS2HCSXX_CH1_CONFIG (0x10) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_CH1_CONFIG_REG 0x10

typedef union 
{
    uint16_t word;
    struct
    {
        /* These bits determine the turn on and turn off slew rates for channel 1. 
        *  */
        uint16_t SLRT_CH1 : 2;
        /* This bit determines if channel 1 should auto-retry or latch off after 
        * an overcurrent or thermal shutdown event has occurred.  */
        uint16_t LATCH_CH1 : 1;
        /* This bit enables the off-state open load pull down to see if there is 
        * a short to VBB fault in the off state for channel 1.  Note: This function 
        * cannot be enabled if the channel is already ON or a fault exists.  */
        uint16_t SVBB_EN_CH1 : 1;
        /* This bit enables the off-state open load pull-up to see if an open load 
        * fault has occurred on channel 1.  Note: This function cannot be enabled 
        * if the channel is already ON or a fault exists  */
        uint16_t OL_OFF_EN_CH1 : 1;
        /* These bits determine the pull-up current (I_pu) at the VOUT1 for the off-state 
        * open load detection circuitry.  */
        uint16_t OL_PU_STR_CH1 : 2;
        /* These bits determine the blanking time for open load or short to VBB faults 
        * in the OFF state for channel 1  */
        uint16_t OL_SVBB_BLANK_CH1 : 2;
        /*  This bit determines if channel 1 should enter a mode with a higher RON 
        * and a lower KSNS value to more accurately detect lower output current. 
        *  Note: The device can only enter this mode if there are no existing faults 
        * on the channel and the output current is below I#sub#ENTRY_LPM_AUTO#/sub#. 
        *  */
        uint16_t OL_ON_EN_CH1 : 1;
        /* This bit determines the voltage scaling of the channel 1 ISNS for the 
        * input to the ADC  */
        uint16_t ISNS_SCALE_CH1 : 1;
        /* Reserved */
        uint16_t RESERVED_46 : 2;
        /* This bit determines if the ISNS ADC function for channel 1 is enabled. 
        *  */
        uint16_t ISNS_DIS_CH1 : 1;
        /* This bit determines if the VDS_SNS ADC function for channel 1 is enabled. 
        *  */
        uint16_t VDS_SNS_DIS_CH1 : 1;
        /* This bit determines if the VOUT VSNS ADC function for channel 1 is enabled. 
        *  */
        uint16_t VSNS_DIS_CH1 : 1;
    } bits;
} TPS2HCSXX_CH1_CONFIG;

typedef struct TPS2HCSXX_CH1_CONFIG_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_CH1_CONFIG value;
} TPS2HCSXX_CH1_CONFIG_OBJ;

#define TPS2HCSXX_CH1_CONFIG_SLRT_CH1_MASK 0x03
#define TPS2HCSXX_CH1_CONFIG_SLRT_CH1_OFS 0

typedef enum {
    slrt_ch1_en_0p25V_us_field = 0x0,
    slrt_ch1_en_0p34V_us_field = 0x1,
    slrt_ch1_en_0p45V_us_field = 0x2,
    slrt_ch1_en_0p55V_us_field = 0x3,
} tps2hcsxx_slrt_ch1_field_t;

typedef enum {
    slrt_ch1_en_0p25V_us_mask = 0x0,
    slrt_ch1_en_0p34V_us_mask = 0x1,
    slrt_ch1_en_0p45V_us_mask = 0x2,
    slrt_ch1_en_0p55V_us_mask = 0x3,
} tps2hcsxx_slrt_ch1_mask_t;

#define TPS2HCSXX_CH1_CONFIG_LATCH_CH1_MASK 0x04
#define TPS2HCSXX_CH1_CONFIG_LATCH_CH1_OFS 2

typedef enum {
    latch_ch1_en_0x0_field = 0x0,
    latch_ch1_en_0x4_field = 0x4,
} tps2hcsxx_latch_ch1_field_t;

typedef enum {
    latch_ch1_en_0x0_mask = 0x0,
    latch_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_latch_ch1_mask_t;

#define TPS2HCSXX_CH1_CONFIG_SVBB_EN_CH1_MASK 0x08
#define TPS2HCSXX_CH1_CONFIG_SVBB_EN_CH1_OFS 3

typedef enum {
    svbb_en_ch1_en_0x0_field = 0x0,
    svbb_en_ch1_en_0x8_field = 0x8,
} tps2hcsxx_svbb_en_ch1_field_t;

typedef enum {
    svbb_en_ch1_en_0x0_mask = 0x0,
    svbb_en_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_svbb_en_ch1_mask_t;

#define TPS2HCSXX_CH1_CONFIG_OL_OFF_EN_CH1_MASK 0x10
#define TPS2HCSXX_CH1_CONFIG_OL_OFF_EN_CH1_OFS 4

typedef enum {
    ol_off_en_ch1_en_0x0_field = 0x0,
    ol_off_en_ch1_en_0x10_field = 0x10,
} tps2hcsxx_ol_off_en_ch1_field_t;

typedef enum {
    ol_off_en_ch1_en_0x0_mask = 0x0,
    ol_off_en_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_ol_off_en_ch1_mask_t;

#define TPS2HCSXX_CH1_CONFIG_OL_PU_STR_CH1_MASK 0x60
#define TPS2HCSXX_CH1_CONFIG_OL_PU_STR_CH1_OFS 5

typedef enum {
    ol_pu_str_ch1_en_0x0_field = 0x0,
    ol_pu_str_ch1_en_0x20_field = 0x20,
    ol_pu_str_ch1_en_0x40_field = 0x40,
    ol_pu_str_ch1_en_0x60_field = 0x60,
} tps2hcsxx_ol_pu_str_ch1_field_t;

typedef enum {
    ol_pu_str_ch1_en_0x0_mask = 0x0,
    ol_pu_str_ch1_en_0x1_mask = 0x1,
    ol_pu_str_ch1_en_0x2_mask = 0x2,
    ol_pu_str_ch1_en_0x3_mask = 0x3,
} tps2hcsxx_ol_pu_str_ch1_mask_t;

#define TPS2HCSXX_CH1_CONFIG_OL_SVBB_BLANK_CH1_MASK 0x180
#define TPS2HCSXX_CH1_CONFIG_OL_SVBB_BLANK_CH1_OFS 7

typedef enum {
    ol_svbb_blank_ch1_en_0x0_field = 0x0,
    ol_svbb_blank_ch1_en_0x80_field = 0x80,
    ol_svbb_blank_ch1_en_0x100_field = 0x100,
    ol_svbb_blank_ch1_en_0x180_field = 0x180,
} tps2hcsxx_ol_svbb_blank_ch1_field_t;

typedef enum {
    ol_svbb_blank_ch1_en_0x0_mask = 0x0,
    ol_svbb_blank_ch1_en_0x1_mask = 0x1,
    ol_svbb_blank_ch1_en_0x2_mask = 0x2,
    ol_svbb_blank_ch1_en_0x3_mask = 0x3,
} tps2hcsxx_ol_svbb_blank_ch1_mask_t;

#define TPS2HCSXX_CH1_CONFIG_OL_ON_EN_CH1_MASK 0x200
#define TPS2HCSXX_CH1_CONFIG_OL_ON_EN_CH1_OFS 9

typedef enum {
    ol_on_en_ch1_en_0x0_field = 0x0,
    ol_on_en_ch1_en_0x200_field = 0x200,
} tps2hcsxx_ol_on_en_ch1_field_t;

typedef enum {
    ol_on_en_ch1_en_0x0_mask = 0x0,
    ol_on_en_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_ol_on_en_ch1_mask_t;

#define TPS2HCSXX_CH1_CONFIG_ISNS_SCALE_CH1_MASK 0x400
#define TPS2HCSXX_CH1_CONFIG_ISNS_SCALE_CH1_OFS 10

typedef enum {
    isns_scale_ch1_en_0x0_field = 0x0,
    isns_scale_ch1_en_0x400_field = 0x400,
} tps2hcsxx_isns_scale_ch1_field_t;

typedef enum {
    isns_scale_ch1_en_0x0_mask = 0x0,
    isns_scale_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_isns_scale_ch1_mask_t;

#define TPS2HCSXX_CH1_CONFIG_RESERVED_46_MASK 0x1800
#define TPS2HCSXX_CH1_CONFIG_RESERVED_46_OFS 11
#define TPS2HCSXX_CH1_CONFIG_ISNS_DIS_CH1_MASK 0x2000
#define TPS2HCSXX_CH1_CONFIG_ISNS_DIS_CH1_OFS 13

typedef enum {
    isns_dis_ch1_en_0x0_field = 0x0,
    isns_dis_ch1_en_0x2000_field = 0x2000,
} tps2hcsxx_isns_dis_ch1_field_t;

typedef enum {
    isns_dis_ch1_en_0x0_mask = 0x0,
    isns_dis_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_isns_dis_ch1_mask_t;

#define TPS2HCSXX_CH1_CONFIG_VDS_SNS_DIS_CH1_MASK 0x4000
#define TPS2HCSXX_CH1_CONFIG_VDS_SNS_DIS_CH1_OFS 14

typedef enum {
    vds_sns_dis_ch1_en_0x0_field = 0x0,
    vds_sns_dis_ch1_en_0x4000_field = 0x4000,
} tps2hcsxx_vds_sns_dis_ch1_field_t;

typedef enum {
    vds_sns_dis_ch1_en_0x0_mask = 0x0,
    vds_sns_dis_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_vds_sns_dis_ch1_mask_t;

#define TPS2HCSXX_CH1_CONFIG_VSNS_DIS_CH1_MASK 0x8000
#define TPS2HCSXX_CH1_CONFIG_VSNS_DIS_CH1_OFS 15

typedef enum {
    vsns_dis_ch1_en_0x0_field = 0x0,
    vsns_dis_ch1_en_0x8000_field = 0x8000,
} tps2hcsxx_vsns_dis_ch1_field_t;

typedef enum {
    vsns_dis_ch1_en_0x0_mask = 0x0,
    vsns_dis_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_vsns_dis_ch1_mask_t;


/* --------- TPS2HCSXX_ADC_RESULT_CH1_I (0x11) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_ADC_RESULT_CH1_I_REG 0x11

typedef union 
{
    uint16_t word;
    struct
    {
        /* ADC result (10-bits) from the conversion of the current in CH1 */
        uint16_t ADC_RESULT_CH1_I : 10;
        /* Making sure the ADC conversion is new from the last time this was read 
        *  */
        uint16_t ISNS_RDY_CH1 : 1;
        /* The bit indicates the actual KSNS ratio used for the conversion   */
        uint16_t ISNS_RATIO_EFF_CH1 : 1;
        /* Reserved */
        uint16_t RESERVED_47 : 4;
    } bits;
} TPS2HCSXX_ADC_RESULT_CH1_I;

typedef struct TPS2HCSXX_ADC_RESULT_CH1_I_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_ADC_RESULT_CH1_I value;
} TPS2HCSXX_ADC_RESULT_CH1_I_OBJ;

#define TPS2HCSXX_ADC_RESULT_CH1_I_ADC_RESULT_CH1_I_MASK 0x3FF
#define TPS2HCSXX_ADC_RESULT_CH1_I_ADC_RESULT_CH1_I_OFS 0
#define TPS2HCSXX_ADC_RESULT_CH1_I_ISNS_RDY_CH1_MASK 0x400
#define TPS2HCSXX_ADC_RESULT_CH1_I_ISNS_RDY_CH1_OFS 10

typedef enum {
    isns_rdy_ch1_en_0x0_field = 0x0,
    isns_rdy_ch1_en_0x400_field = 0x400,
} tps2hcsxx_isns_rdy_ch1_field_t;

typedef enum {
    isns_rdy_ch1_en_0x0_mask = 0x0,
    isns_rdy_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_isns_rdy_ch1_mask_t;

#define TPS2HCSXX_ADC_RESULT_CH1_I_ISNS_RATIO_EFF_CH1_MASK 0x800
#define TPS2HCSXX_ADC_RESULT_CH1_I_ISNS_RATIO_EFF_CH1_OFS 11

typedef enum {
    isns_ratio_eff_ch1_en_0x0_field = 0x0,
    isns_ratio_eff_ch1_en_0x800_field = 0x800,
} tps2hcsxx_isns_ratio_eff_ch1_field_t;

typedef enum {
    isns_ratio_eff_ch1_en_0x0_mask = 0x0,
    isns_ratio_eff_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_isns_ratio_eff_ch1_mask_t;

#define TPS2HCSXX_ADC_RESULT_CH1_I_RESERVED_47_MASK 0xF000
#define TPS2HCSXX_ADC_RESULT_CH1_I_RESERVED_47_OFS 12

/* --------- TPS2HCSXX_ADC_RESULT_CH1_T (0x12) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_ADC_RESULT_CH1_T_REG 0x12

typedef union 
{
    uint16_t word;
    struct
    {
        /* 10-bit ADC result from the conversion of channel 1 FET temperature (TSNS) 
        * */
        uint16_t ADC_RESULT_CH1_T : 10;
        /* This bit indicates if a new ADC result for channel 1 TSNS conversion is 
        * available since the last read  */
        uint16_t TSNS_RDY_CH1 : 1;
        /* Reserved */
        uint16_t RESERVED_48 : 5;
    } bits;
} TPS2HCSXX_ADC_RESULT_CH1_T;

typedef struct TPS2HCSXX_ADC_RESULT_CH1_T_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_ADC_RESULT_CH1_T value;
} TPS2HCSXX_ADC_RESULT_CH1_T_OBJ;

#define TPS2HCSXX_ADC_RESULT_CH1_T_ADC_RESULT_CH1_T_MASK 0x3FF
#define TPS2HCSXX_ADC_RESULT_CH1_T_ADC_RESULT_CH1_T_OFS 0
#define TPS2HCSXX_ADC_RESULT_CH1_T_TSNS_RDY_CH1_MASK 0x400
#define TPS2HCSXX_ADC_RESULT_CH1_T_TSNS_RDY_CH1_OFS 10

typedef enum {
    tsns_rdy_ch1_en_0x0_field = 0x0,
    tsns_rdy_ch1_en_0x400_field = 0x400,
} tps2hcsxx_tsns_rdy_ch1_field_t;

typedef enum {
    tsns_rdy_ch1_en_0x0_mask = 0x0,
    tsns_rdy_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_tsns_rdy_ch1_mask_t;

#define TPS2HCSXX_ADC_RESULT_CH1_T_RESERVED_48_MASK 0xF800
#define TPS2HCSXX_ADC_RESULT_CH1_T_RESERVED_48_OFS 11

/* --------- TPS2HCSXX_ADC_RESULT_CH1_V (0x13) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_ADC_RESULT_CH1_V_REG 0x13

typedef union 
{
    uint16_t word;
    struct
    {
        /* 10-bit ADC result from the conversion of channel 1 VOUT voltage (VSNS) 
        * */
        uint16_t ADC_RESULT_CH1_V : 10;
        /* This bit indicates if a new ADC result for channel 1 VOUT voltage (VSNS) 
        * conversion is available since the last read  */
        uint16_t VSNS_RDY_CH1 : 1;
        /* Reserved */
        uint16_t RESERVED_50 : 5;
    } bits;
} TPS2HCSXX_ADC_RESULT_CH1_V;

typedef struct TPS2HCSXX_ADC_RESULT_CH1_V_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_ADC_RESULT_CH1_V value;
} TPS2HCSXX_ADC_RESULT_CH1_V_OBJ;

#define TPS2HCSXX_ADC_RESULT_CH1_V_ADC_RESULT_CH1_V_MASK 0x3FF
#define TPS2HCSXX_ADC_RESULT_CH1_V_ADC_RESULT_CH1_V_OFS 0
#define TPS2HCSXX_ADC_RESULT_CH1_V_VSNS_RDY_CH1_MASK 0x400
#define TPS2HCSXX_ADC_RESULT_CH1_V_VSNS_RDY_CH1_OFS 10

typedef enum {
    vsns_rdy_ch1_en_0x0_field = 0x0,
    vsns_rdy_ch1_en_0x400_field = 0x400,
} tps2hcsxx_vsns_rdy_ch1_field_t;

typedef enum {
    vsns_rdy_ch1_en_0x0_mask = 0x0,
    vsns_rdy_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_vsns_rdy_ch1_mask_t;

#define TPS2HCSXX_ADC_RESULT_CH1_V_RESERVED_50_MASK 0xF800
#define TPS2HCSXX_ADC_RESULT_CH1_V_RESERVED_50_OFS 11

/* --------- TPS2HCSXX_ADC_RESULT_CH1_VDS (0x14) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_ADC_RESULT_CH1_VDS_REG 0x14

typedef union 
{
    uint16_t word;
    struct
    {
        /* 10-bit ADC result from the conversion of channel 1 VDS voltage (VDSSNS) 
        * */
        uint16_t ADC_RESULT_CH1_VDS : 10;
        /* This bit indicates if a new ADC result for channel 1 VDS voltage (VDSSNS) 
        * conversion is available since the last read  */
        uint16_t VDSSNS_RDY_CH1 : 1;
        /* Reserved */
        uint16_t RESERVED_51 : 5;
    } bits;
} TPS2HCSXX_ADC_RESULT_CH1_VDS;

typedef struct TPS2HCSXX_ADC_RESULT_CH1_VDS_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_ADC_RESULT_CH1_VDS value;
} TPS2HCSXX_ADC_RESULT_CH1_VDS_OBJ;

#define TPS2HCSXX_ADC_RESULT_CH1_VDS_ADC_RESULT_CH1_VDS_MASK 0x3FF
#define TPS2HCSXX_ADC_RESULT_CH1_VDS_ADC_RESULT_CH1_VDS_OFS 0
#define TPS2HCSXX_ADC_RESULT_CH1_VDS_VDSSNS_RDY_CH1_MASK 0x400
#define TPS2HCSXX_ADC_RESULT_CH1_VDS_VDSSNS_RDY_CH1_OFS 10

typedef enum {
    vdssns_rdy_ch1_en_0x0_field = 0x0,
    vdssns_rdy_ch1_en_0x400_field = 0x400,
} tps2hcsxx_vdssns_rdy_ch1_field_t;

typedef enum {
    vdssns_rdy_ch1_en_0x0_mask = 0x0,
    vdssns_rdy_ch1_en_0x1_mask = 0x1,
} tps2hcsxx_vdssns_rdy_ch1_mask_t;

#define TPS2HCSXX_ADC_RESULT_CH1_VDS_RESERVED_51_MASK 0xF800
#define TPS2HCSXX_ADC_RESULT_CH1_VDS_RESERVED_51_OFS 11

/* --------- TPS2HCSXX_I2T_CONFIG_CH1 (0x15) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_I2T_CONFIG_CH1_REG 0x15

typedef union 
{
    uint16_t word;
    struct
    {
        /* These bits set the nominal current value for channel 1 for the I2T function. 
        * If the I2T function is enabled for channel 1, above this value the device 
        * will enter the I2T accumulation mode.  The nominal current values below 
        * assume R#sub#SNS#/sub# = 700ohm. To calculate the new I2T trip values based 
        * on a different R#sub#SNS#/sub# value, the following equation can be used: 
        *  NOM_CUR_CH1#sub#ADJ#/sub# = NOM_CUR_CH1#sub#700#/sub# * (700 / R#sub#SNS#/sub#) 
        * */
        uint16_t NOM_CUR_CH1 : 3;
        /* These bits set the I2T trip value for Channel 1.  Note: For reference 
        * the  equation for the I2T trip value is: I2T = (I#sub#OUT1#/sub##super#2#/super# 
        * - NOM_CUR_CH1#super#2#/super#) * t  The below values assume R#sub#SNS#/sub# 
        * = 700ohm. To calculate the new I2T trip values based on a different R#sub#SNS#/sub# 
        * value, the following equation can be used:  I2T#sub#ADJ#/sub# = I2T#sub#700#/sub# 
        * * (700 / R#sub#SNS#/sub#)#super#2#/super# */
        uint16_t I2T_TRIP_CH1 : 4;
        /* These bits set the delayed turn off current sense value (I#sub#SWCL,700#/sub#) 
        * for channel 1. Once the IOUT current exceeds the I#sub#SWCL,700#/sub# value, 
        * a timer starts and will turn off the channel if the current remains above 
        * the I#sub#SWCL,700#/sub# threshold for a duration of SWCL_DLY_TMR_CH1. 
        *  The threshold should be set below the current sense saturation value (I#sub#OUT_SAT#/sub# 
        * = K#sub#SNS1#/sub# * I#sub#SNS_SAT#/sub#). The current threshold below 
        * assume R#sub#SNS#/sub# = 700ohm. To calculate the new I#sub#SWCL,700#/sub# 
        * thresholds based on a different R#sub#SNS#/sub# value, the following equation 
        * can be used:  I#sub#SWCL,ADJ#/sub# = I#sub#SWCL,700#/sub# * (700 / R#sub#SNS#/sub#) 
        * */
        uint16_t ISWCL_CH1 : 2;
        /* These bits set the timer at which Channel 1 will shut down if the IOUT 
        * current continuously exceeds the ISWCL level for the configured time.  
        * */
        uint16_t SWCL_DLY_TMR_CH1 : 2;
        /* Reserved */
        uint16_t RESERVED_52 : 3;
        /* These bits set the cool down time (or time to retry) after an I2T shutdown 
        * for Channel 1.  Note: If setting 0x0 is used, the channel will remain off 
        * after an I2T shutdown with no retry. To retry in this setting, change the 
        * bits to 0.8s, 2.0s, or 4.0s options to allow the device to retry after 
        * an I2T shutdown.  */
        uint16_t TCLDN_CH1 : 2;
    } bits;
} TPS2HCSXX_I2T_CONFIG_CH1;

typedef struct TPS2HCSXX_I2T_CONFIG_CH1_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_I2T_CONFIG_CH1 value;
} TPS2HCSXX_I2T_CONFIG_CH1_OBJ;

#define TPS2HCSXX_I2T_CONFIG_CH1_NOM_CUR_CH1_MASK 0x07
#define TPS2HCSXX_I2T_CONFIG_CH1_NOM_CUR_CH1_OFS 0

typedef enum {
    nom_cur_ch1_en_0x0_field = 0x0,
    nom_cur_ch1_en_0x1_field = 0x1,
    nom_cur_ch1_en_0x2_field = 0x2,
    nom_cur_ch1_en_0x3_field = 0x3,
    nom_cur_ch1_en_0x4_field = 0x4,
    nom_cur_ch1_en_0x5_field = 0x5,
    nom_cur_ch1_en_0x6_field = 0x6,
    nom_cur_ch1_en_0x7_field = 0x7,
} tps2hcsxx_nom_cur_ch1_field_t;

typedef enum {
    nom_cur_ch1_en_0x0_mask = 0x0,
    nom_cur_ch1_en_0x1_mask = 0x1,
    nom_cur_ch1_en_0x2_mask = 0x2,
    nom_cur_ch1_en_0x3_mask = 0x3,
    nom_cur_ch1_en_0x4_mask = 0x4,
    nom_cur_ch1_en_0x5_mask = 0x5,
    nom_cur_ch1_en_0x6_mask = 0x6,
    nom_cur_ch1_en_0x7_mask = 0x7,
} tps2hcsxx_nom_cur_ch1_mask_t;

#define TPS2HCSXX_I2T_CONFIG_CH1_I2T_TRIP_CH1_MASK 0x78
#define TPS2HCSXX_I2T_CONFIG_CH1_I2T_TRIP_CH1_OFS 3

typedef enum {
    i2t_trip_ch1_en_0x0_field = 0x0,
    i2t_trip_ch1_en_0x8_field = 0x8,
    i2t_trip_ch1_en_0x10_field = 0x10,
    i2t_trip_ch1_en_0x18_field = 0x18,
    i2t_trip_ch1_en_0x20_field = 0x20,
    i2t_trip_ch1_en_0x28_field = 0x28,
    i2t_trip_ch1_en_0x30_field = 0x30,
    i2t_trip_ch1_en_0x38_field = 0x38,
    i2t_trip_ch1_en_0x40_field = 0x40,
    i2t_trip_ch1_en_0x48_field = 0x48,
    i2t_trip_ch1_en_0x50_field = 0x50,
    i2t_trip_ch1_en_0x58_field = 0x58,
    i2t_trip_ch1_en_0x60_field = 0x60,
    i2t_trip_ch1_en_0x68_field = 0x68,
    i2t_trip_ch1_en_0x70_field = 0x70,
    i2t_trip_ch1_en_0x78_field = 0x78,
} tps2hcsxx_i2t_trip_ch1_field_t;

typedef enum {
    i2t_trip_ch1_en_0x0_mask = 0x0,
    i2t_trip_ch1_en_0x1_mask = 0x1,
    i2t_trip_ch1_en_0x2_mask = 0x2,
    i2t_trip_ch1_en_0x3_mask = 0x3,
    i2t_trip_ch1_en_0x4_mask = 0x4,
    i2t_trip_ch1_en_0x5_mask = 0x5,
    i2t_trip_ch1_en_0x6_mask = 0x6,
    i2t_trip_ch1_en_0x7_mask = 0x7,
    i2t_trip_ch1_en_0x8_mask = 0x8,
    i2t_trip_ch1_en_0x9_mask = 0x9,
    i2t_trip_ch1_en_0xa_mask = 0xa,
    i2t_trip_ch1_en_0xb_mask = 0xb,
    i2t_trip_ch1_en_0xc_mask = 0xc,
    i2t_trip_ch1_en_0xd_mask = 0xd,
    i2t_trip_ch1_en_0xe_mask = 0xe,
    i2t_trip_ch1_en_0xf_mask = 0xf,
} tps2hcsxx_i2t_trip_ch1_mask_t;

#define TPS2HCSXX_I2T_CONFIG_CH1_ISWCL_CH1_MASK 0x180
#define TPS2HCSXX_I2T_CONFIG_CH1_ISWCL_CH1_OFS 7

typedef enum {
    iswcl_ch1_en_19p55A_field = 0x0,
    iswcl_ch1_en_17p6A_field = 0x80,
    iswcl_ch1_en_16p05A_field = 0x100,
    iswcl_ch1_en_13p3A_field = 0x180,
} tps2hcsxx_iswcl_ch1_field_t;

typedef enum {
    iswcl_ch1_en_19p55A_mask = 0x0,
    iswcl_ch1_en_17p6A_mask = 0x1,
    iswcl_ch1_en_16p05A_mask = 0x2,
    iswcl_ch1_en_13p3A_mask = 0x3,
} tps2hcsxx_iswcl_ch1_mask_t;

#define TPS2HCSXX_I2T_CONFIG_CH1_SWCL_DLY_TMR_CH1_MASK 0x600
#define TPS2HCSXX_I2T_CONFIG_CH1_SWCL_DLY_TMR_CH1_OFS 9

typedef enum {
    swcl_dly_tmr_ch1_en_0p2ms_field = 0x0,
    swcl_dly_tmr_ch1_en_0p4ms_field = 0x200,
    swcl_dly_tmr_ch1_en_1p0ms_field = 0x400,
    swcl_dly_tmr_ch1_en_2p0ms_field = 0x600,
} tps2hcsxx_swcl_dly_tmr_ch1_field_t;

typedef enum {
    swcl_dly_tmr_ch1_en_0p2ms_mask = 0x0,
    swcl_dly_tmr_ch1_en_0p4ms_mask = 0x1,
    swcl_dly_tmr_ch1_en_1p0ms_mask = 0x2,
    swcl_dly_tmr_ch1_en_2p0ms_mask = 0x3,
} tps2hcsxx_swcl_dly_tmr_ch1_mask_t;

#define TPS2HCSXX_I2T_CONFIG_CH1_RESERVED_52_MASK 0x3800
#define TPS2HCSXX_I2T_CONFIG_CH1_RESERVED_52_OFS 11
#define TPS2HCSXX_I2T_CONFIG_CH1_TCLDN_CH1_MASK 0xC000
#define TPS2HCSXX_I2T_CONFIG_CH1_TCLDN_CH1_OFS 14

typedef enum {
    tcldn_ch1_en_0x0_field = 0x0,
    tcldn_ch1_en_0p8s_field = 0x4000,
    tcldn_ch1_en_2p0s_field = 0x8000,
    tcldn_ch1_en_4p0s_field = 0xc000,
} tps2hcsxx_tcldn_ch1_field_t;

typedef enum {
    tcldn_ch1_en_0x0_mask = 0x0,
    tcldn_ch1_en_0p8s_mask = 0x1,
    tcldn_ch1_en_2p0s_mask = 0x2,
    tcldn_ch1_en_4p0s_mask = 0x3,
} tps2hcsxx_tcldn_ch1_mask_t;


/* --------- TPS2HCSXX_FLT_STAT_CH2 (0x16) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_FLT_STAT_CH2_REG 0x16

typedef union 
{
    uint16_t word;
    struct
    {
        /* This bit indicates if the channel 2 FET temperature is above the overtemperature 
        * warning threshold.  The fault is latched and cleared when FLT_STAT_CH2 
        * register is read and the fault condition no longer exists  */
        uint16_t THERMAL_WRN_CH2 : 1;
        /* Reserved */
        uint16_t RESERVED_54 : 1;
        /* This bit indicates if there is an open load in the off-state on channel 
        * 2.  The output of channel 2 is pulled up by the OL_PULLUP_STR setting. 
        *  Note: OL_OFF_EN_CH2 must be enabled for this bit to signal an open load 
        * in the off-state.  */
        uint16_t OL_OFF_CH2 : 1;
        /* This bit indicates if there was a short to VBB in the off-state on channel 
        * 2.  The fault is latched and cleared when FLT_STAT_CH2 register is read 
        * and the fault condition no longer exists  Note: SVBB_EN_CH2 must be enabled 
        * for this bit to signal short to VBB in the off state. */
        uint16_t SHRT_VBB_CH2 : 1;
        /* This bit indicates if an overcurrent protection fault has occurred on 
        * channel 2  The fault is latched and cleared when FLT_STAT_CH2 register 
        * is read and the fault condition no longer exists  */
        uint16_t ILIMIT_CH2 : 1;
        /* This bit indicates if thermal shutdown fault has occurred on channel 2. 
        *  The fault is latched and cleared when the FLT_STAT_CH2 register is read 
        * and the retry timer has expired and the channel temperature has fallen 
        * below the thermal shutdown hysteresis threshold  */
        uint16_t THERMAL_SD_CH2 : 1;
        /* This bit indicates if channel 2 was the cause for the device to come out 
        * of AUTO_LPM or MANUAL_LPM regardless of the cause (load step, short-circuit) 
        *  */
        uint16_t LPM_WAKE_CH2 : 1;
        /* This bit indicates if an I2T fault has occured on channel 2. I2T_EN must 
        * be set to 1 in order for this bit indicate an I2T fault.  The fault is 
        * latched and cleared when FLT_STAT_CH2 register is read and the fault condition 
        * no longer exists  Note: This bit does not indicate an overcurrent protection 
        * or thermal shutdown fault  */
        uint16_t I2T_FLT_CH2 : 1;
        /* This bit indicates if the drain-to-source voltage (VDS) of channel 2 output 
        * when enabled is #60# 2V after the INRUSH_DURATION period.  */
        uint16_t VOUT_ERR_CH2 : 1;
        /* This bit indicates the current state of channel 2 no matter which mode 
        * the device is in as long as SPI is functioning  */
        uint16_t SW_STATE_STAT_CH2 : 1;
        /* The bit indicates if channel 2 is currently in an auto retry wait time 
        * period (2ms)  */
        uint16_t FLT_CH2 : 1;
        /* This bit indicates if channel 2 has been latch off due to an overcurrent 
        * protection or thermal shutdown fault.  The bit clears when the channel 
        * is toggled off and back on.  Note: This bit does not signal when a shutdown 
        * occurs due to I2T  */
        uint16_t LATCH_STAT_CH2 : 1;
        /* This bit indicates if channel 2 in the I2T loop and is accumulating. When 
        * channel 2 is not in the I2T loop the value will be 0  */
        uint16_t I2T_MOD_CH2 : 1;
        /* Reserved */
        uint16_t RESERVED_53 : 3;
    } bits;
} TPS2HCSXX_FLT_STAT_CH2;

typedef struct TPS2HCSXX_FLT_STAT_CH2_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_FLT_STAT_CH2 value;
} TPS2HCSXX_FLT_STAT_CH2_OBJ;

#define TPS2HCSXX_FLT_STAT_CH2_THERMAL_WRN_CH2_MASK 0x01
#define TPS2HCSXX_FLT_STAT_CH2_THERMAL_WRN_CH2_OFS 0

typedef enum {
    thermal_wrn_ch2_en_0x0_field = 0x0,
    thermal_wrn_ch2_en_0x1_field = 0x1,
} tps2hcsxx_thermal_wrn_ch2_field_t;

typedef enum {
    thermal_wrn_ch2_en_0x0_mask = 0x0,
    thermal_wrn_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_thermal_wrn_ch2_mask_t;

#define TPS2HCSXX_FLT_STAT_CH2_RESERVED_54_MASK 0x02
#define TPS2HCSXX_FLT_STAT_CH2_RESERVED_54_OFS 1
#define TPS2HCSXX_FLT_STAT_CH2_OL_OFF_CH2_MASK 0x04
#define TPS2HCSXX_FLT_STAT_CH2_OL_OFF_CH2_OFS 2

typedef enum {
    ol_off_ch2_en_0x0_field = 0x0,
    ol_off_ch2_en_0x4_field = 0x4,
} tps2hcsxx_ol_off_ch2_field_t;

typedef enum {
    ol_off_ch2_en_0x0_mask = 0x0,
    ol_off_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_ol_off_ch2_mask_t;

#define TPS2HCSXX_FLT_STAT_CH2_SHRT_VBB_CH2_MASK 0x08
#define TPS2HCSXX_FLT_STAT_CH2_SHRT_VBB_CH2_OFS 3

typedef enum {
    shrt_vbb_ch2_en_0x0_field = 0x0,
    shrt_vbb_ch2_en_0x8_field = 0x8,
} tps2hcsxx_shrt_vbb_ch2_field_t;

typedef enum {
    shrt_vbb_ch2_en_0x0_mask = 0x0,
    shrt_vbb_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_shrt_vbb_ch2_mask_t;

#define TPS2HCSXX_FLT_STAT_CH2_ILIMIT_CH2_MASK 0x10
#define TPS2HCSXX_FLT_STAT_CH2_ILIMIT_CH2_OFS 4

typedef enum {
    ilimit_ch2_en_0x0_field = 0x0,
    ilimit_ch2_en_0x10_field = 0x10,
} tps2hcsxx_ilimit_ch2_field_t;

typedef enum {
    ilimit_ch2_en_0x0_mask = 0x0,
    ilimit_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_ilimit_ch2_mask_t;

#define TPS2HCSXX_FLT_STAT_CH2_THERMAL_SD_CH2_MASK 0x20
#define TPS2HCSXX_FLT_STAT_CH2_THERMAL_SD_CH2_OFS 5

typedef enum {
    thermal_sd_ch2_en_0x0_field = 0x0,
    thermal_sd_ch2_en_0x20_field = 0x20,
} tps2hcsxx_thermal_sd_ch2_field_t;

typedef enum {
    thermal_sd_ch2_en_0x0_mask = 0x0,
    thermal_sd_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_thermal_sd_ch2_mask_t;

#define TPS2HCSXX_FLT_STAT_CH2_LPM_WAKE_CH2_MASK 0x40
#define TPS2HCSXX_FLT_STAT_CH2_LPM_WAKE_CH2_OFS 6

typedef enum {
    lpm_wake_ch2_en_0x0_field = 0x0,
    lpm_wake_ch2_en_0x40_field = 0x40,
} tps2hcsxx_lpm_wake_ch2_field_t;

typedef enum {
    lpm_wake_ch2_en_0x0_mask = 0x0,
    lpm_wake_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_lpm_wake_ch2_mask_t;

#define TPS2HCSXX_FLT_STAT_CH2_I2T_FLT_CH2_MASK 0x80
#define TPS2HCSXX_FLT_STAT_CH2_I2T_FLT_CH2_OFS 7

typedef enum {
    i2t_flt_ch2_en_0x0_field = 0x0,
    i2t_flt_ch2_en_0x80_field = 0x80,
} tps2hcsxx_i2t_flt_ch2_field_t;

typedef enum {
    i2t_flt_ch2_en_0x0_mask = 0x0,
    i2t_flt_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_i2t_flt_ch2_mask_t;

#define TPS2HCSXX_FLT_STAT_CH2_VOUT_ERR_CH2_MASK 0x100
#define TPS2HCSXX_FLT_STAT_CH2_VOUT_ERR_CH2_OFS 8

typedef enum {
    vout_err_ch2_en_0x0_field = 0x0,
    vout_err_ch2_en_0x100_field = 0x100,
} tps2hcsxx_vout_err_ch2_field_t;

typedef enum {
    vout_err_ch2_en_0x0_mask = 0x0,
    vout_err_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_vout_err_ch2_mask_t;

#define TPS2HCSXX_FLT_STAT_CH2_SW_STATE_STAT_CH2_MASK 0x200
#define TPS2HCSXX_FLT_STAT_CH2_SW_STATE_STAT_CH2_OFS 9

typedef enum {
    sw_state_stat_ch2_en_0x0_field = 0x0,
    sw_state_stat_ch2_en_0x200_field = 0x200,
} tps2hcsxx_sw_state_stat_ch2_field_t;

typedef enum {
    sw_state_stat_ch2_en_0x0_mask = 0x0,
    sw_state_stat_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_sw_state_stat_ch2_mask_t;

#define TPS2HCSXX_FLT_STAT_CH2_FLT_CH2_MASK 0x400
#define TPS2HCSXX_FLT_STAT_CH2_FLT_CH2_OFS 10

typedef enum {
    flt_ch2_en_0x0_field = 0x0,
    flt_ch2_en_0x400_field = 0x400,
} tps2hcsxx_flt_ch2_field_t;

typedef enum {
    flt_ch2_en_0x0_mask = 0x0,
    flt_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_flt_ch2_mask_t;

#define TPS2HCSXX_FLT_STAT_CH2_LATCH_STAT_CH2_MASK 0x800
#define TPS2HCSXX_FLT_STAT_CH2_LATCH_STAT_CH2_OFS 11

typedef enum {
    latch_stat_ch2_en_0x0_field = 0x0,
    latch_stat_ch2_en_0x800_field = 0x800,
} tps2hcsxx_latch_stat_ch2_field_t;

typedef enum {
    latch_stat_ch2_en_0x0_mask = 0x0,
    latch_stat_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_latch_stat_ch2_mask_t;

#define TPS2HCSXX_FLT_STAT_CH2_I2T_MOD_CH2_MASK 0x1000
#define TPS2HCSXX_FLT_STAT_CH2_I2T_MOD_CH2_OFS 12

typedef enum {
    i2t_mod_ch2_en_0x0_field = 0x0,
    i2t_mod_ch2_en_0x1000_field = 0x1000,
} tps2hcsxx_i2t_mod_ch2_field_t;

typedef enum {
    i2t_mod_ch2_en_0x0_mask = 0x0,
    i2t_mod_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_i2t_mod_ch2_mask_t;

#define TPS2HCSXX_FLT_STAT_CH2_RESERVED_53_MASK 0xE000
#define TPS2HCSXX_FLT_STAT_CH2_RESERVED_53_OFS 13

/* --------- TPS2HCSXX_PWM_CH2 (0x17) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_PWM_CH2_REG 0x17

typedef union 
{
    uint16_t word;
    struct
    {
        /* This bit enables PWM operation of channel 2.  Note: The duty cycle of 
        * PWM #62# 200us. If fault will occur in FLT_STAT_CH2 register. PWM mode 
        * can only be enabled if CAP_CHRG_CH2[1:0] = 0  */
        uint16_t PWM_EN_CH2 : 1;
        /* These bits are used to set the duty cycle for the PWM operation for channel 
        * 2. Each bit is ~0.39% duty cycle, linearly up to 100% duty cycle  */
        uint16_t PWM_DTY_CH2 : 8;
        /* Set the PWM frequency  */
        uint16_t PWM_FREQ_CH2 : 3;
        /* Reserved */
        uint16_t RESERVED_56 : 4;
    } bits;
} TPS2HCSXX_PWM_CH2;

typedef struct TPS2HCSXX_PWM_CH2_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_PWM_CH2 value;
} TPS2HCSXX_PWM_CH2_OBJ;

#define TPS2HCSXX_PWM_CH2_PWM_EN_CH2_MASK 0x01
#define TPS2HCSXX_PWM_CH2_PWM_EN_CH2_OFS 0

typedef enum {
    pwm_en_ch2_en_0x0_field = 0x0,
    pwm_en_ch2_en_0x1_field = 0x1,
} tps2hcsxx_pwm_en_ch2_field_t;

typedef enum {
    pwm_en_ch2_en_0x0_mask = 0x0,
    pwm_en_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_pwm_en_ch2_mask_t;

#define TPS2HCSXX_PWM_CH2_PWM_DTY_CH2_MASK 0x1FE
#define TPS2HCSXX_PWM_CH2_PWM_DTY_CH2_OFS 1
#define TPS2HCSXX_PWM_CH2_PWM_FREQ_CH2_MASK 0xE00
#define TPS2HCSXX_PWM_CH2_PWM_FREQ_CH2_OFS 9

typedef enum {
    pwm_freq_ch2_en_0x0_field = 0x0,
    pwm_freq_ch2_en_0x200_field = 0x200,
    pwm_freq_ch2_en_0x400_field = 0x400,
    pwm_freq_ch2_en_0x600_field = 0x600,
    pwm_freq_ch2_en_0x800_field = 0x800,
    pwm_freq_ch2_en_0xa00_field = 0xa00,
    pwm_freq_ch2_en_0xc00_field = 0xc00,
    pwm_freq_ch2_en_0xe00_field = 0xe00,
} tps2hcsxx_pwm_freq_ch2_field_t;

typedef enum {
    pwm_freq_ch2_en_0x0_mask = 0x0,
    pwm_freq_ch2_en_0x1_mask = 0x1,
    pwm_freq_ch2_en_0x2_mask = 0x2,
    pwm_freq_ch2_en_0x3_mask = 0x3,
    pwm_freq_ch2_en_0x4_mask = 0x4,
    pwm_freq_ch2_en_0x5_mask = 0x5,
    pwm_freq_ch2_en_0x6_mask = 0x6,
    pwm_freq_ch2_en_0x7_mask = 0x7,
} tps2hcsxx_pwm_freq_ch2_mask_t;

#define TPS2HCSXX_PWM_CH2_RESERVED_56_MASK 0xF000
#define TPS2HCSXX_PWM_CH2_RESERVED_56_OFS 12

/* --------- TPS2HCSXX_ILIM_CONFIG_CH2 (0x18) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_ILIM_CONFIG_CH2_REG 0x18

typedef union 
{
    uint16_t word;
    struct
    {
        /* These bits determine the overcurrent protection (I#sub#OCP#/sub#) threshold 
        * for channel 2 in steady state operation after the INRUSH_DURATION period 
        * expires.  Note: If VBB #62# 18V, the device will limit the overcurrent 
        * threshold to 47.5A  */
        uint16_t ILIMIT_SET_CH2 : 4;
        /* These bits determine the inrush current limit on channel 2 for the different 
        * capacitive charging modes set by CAP_CHRG_CH1 bits.  Note: If VBB #62# 
        * 18V, the device will limit the overcurrent threshold to 47.5A  If no cap 
        * charging mode (CAP_CHRG_CH2 = 00) is used, the values are:  0h = 10A #br# 
        * 1h = 12.5A #br# 2h = 15 A #br# 3h = 17.5A #br# 4h = 20A #br#5h = 22.5A 
        * #br# 6h = 25A #br# 7h = 32.5A #br# 8h = 40A #br# 9h = 47.5A #br# Ah = 55A 
        * #br# Bh = 62.5A #br# Ch = 70A  If current regulation mode (CAP_CHRG_CH2 
        * = 10) is used, the values are:  */
        uint16_t INRUSH_LIMIT_CH2 : 4;
        /* These bits determine the inrush period duration during which the INRUSH_LIMIT_CH2 
        * level applies.  */
        uint16_t INRUSH_DURATION_CH2 : 3;
        /* Enables the I2T functionality for channel 2. I2T can be enabled before 
        * the channel is enabled or while it is enabled, but the I2T calculation 
        * will only start after the inrush period ends.  */
        uint16_t I2T_EN_CH2 : 1;
        /* These bits set the capacitive charging mode during the inrush period after 
        * turn on.  When CAP_CHRG_CH1 = 00, these are bits are programmed as the 
        * overcurrent protection threshold during the INRUSH_DURATION_CH1 period. 
        * The channel will immediately turn off if the threshold is reached.  When 
        * CAP_CHRG_CH1 = 10, these bits are programmed as the current limit regulation 
        * threshold. The channel will turn on into the current limit and will continue 
        * to regulate the current until the output is fully charged or there is a 
        * thermal shutdown event.  Note: PWM and I2T is not enabled during the INRUSH_DURATION. 
        *  */
        uint16_t CAP_CHRG_CH2 : 2;
        /* Not supported */
        uint16_t OCP_INRUSH_CH2 : 2;
    } bits;
} TPS2HCSXX_ILIM_CONFIG_CH2;

typedef struct TPS2HCSXX_ILIM_CONFIG_CH2_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_ILIM_CONFIG_CH2 value;
} TPS2HCSXX_ILIM_CONFIG_CH2_OBJ;

#define TPS2HCSXX_ILIM_CONFIG_CH2_ILIMIT_SET_CH2_MASK 0x0F
#define TPS2HCSXX_ILIM_CONFIG_CH2_ILIMIT_SET_CH2_OFS 0

typedef enum {
    ilimit_set_ch2_en_10A_field = 0x0,
    ilimit_set_ch2_en_12p5A_field = 0x1,
    ilimit_set_ch2_en_0x2_field = 0x2,
    ilimit_set_ch2_en_17p5A_field = 0x3,
    ilimit_set_ch2_en_20A_field = 0x4,
    ilimit_set_ch2_en_22p5A_field = 0x5,
    ilimit_set_ch2_en_25A_field = 0x6,
    ilimit_set_ch2_en_32p5A_field = 0x7,
    ilimit_set_ch2_en_40A_field = 0x8,
    ilimit_set_ch2_en_47p5A_field = 0x9,
    ilimit_set_ch2_en_55A_field = 0xa,
    ilimit_set_ch2_en_62p5A_field = 0xb,
    ilimit_set_ch2_en_0xc_field = 0xc,
} tps2hcsxx_ilimit_set_ch2_field_t;

typedef enum {
    ilimit_set_ch2_en_10A_mask = 0x0,
    ilimit_set_ch2_en_12p5A_mask = 0x1,
    ilimit_set_ch2_en_0x2_mask = 0x2,
    ilimit_set_ch2_en_17p5A_mask = 0x3,
    ilimit_set_ch2_en_20A_mask = 0x4,
    ilimit_set_ch2_en_22p5A_mask = 0x5,
    ilimit_set_ch2_en_25A_mask = 0x6,
    ilimit_set_ch2_en_32p5A_mask = 0x7,
    ilimit_set_ch2_en_40A_mask = 0x8,
    ilimit_set_ch2_en_47p5A_mask = 0x9,
    ilimit_set_ch2_en_55A_mask = 0xa,
    ilimit_set_ch2_en_62p5A_mask = 0xb,
    ilimit_set_ch2_en_0xc_mask = 0xc,
} tps2hcsxx_ilimit_set_ch2_mask_t;

#define TPS2HCSXX_ILIM_CONFIG_CH2_INRUSH_LIMIT_CH2_MASK 0xF0
#define TPS2HCSXX_ILIM_CONFIG_CH2_INRUSH_LIMIT_CH2_OFS 4

typedef enum {
    inrush_limit_ch2_en_2A_field = 0x0,
    inrush_limit_ch2_en_2p5A_field = 0x10,
    inrush_limit_ch2_en_3A_field = 0x20,
    inrush_limit_ch2_en_3p5A_field = 0x30,
    inrush_limit_ch2_en_4A_field = 0x40,
    inrush_limit_ch2_en_4p5A_field = 0x50,
    inrush_limit_ch2_en_5A_field = 0x60,
    inrush_limit_ch2_en_6p5A_field = 0x70,
    inrush_limit_ch2_en_8A_field = 0x80,
    inrush_limit_ch2_en_9p5A_field = 0x90,
    inrush_limit_ch2_en_11A_field = 0xa0,
    inrush_limit_ch2_en_12p5A_field = 0xb0,
    inrush_limit_ch2_en_0xc0_field = 0xc0,
} tps2hcsxx_inrush_limit_ch2_field_t;

typedef enum {
    inrush_limit_ch2_en_2A_mask = 0x0,
    inrush_limit_ch2_en_2p5A_mask = 0x1,
    inrush_limit_ch2_en_3A_mask = 0x2,
    inrush_limit_ch2_en_3p5A_mask = 0x3,
    inrush_limit_ch2_en_4A_mask = 0x4,
    inrush_limit_ch2_en_4p5A_mask = 0x5,
    inrush_limit_ch2_en_5A_mask = 0x6,
    inrush_limit_ch2_en_6p5A_mask = 0x7,
    inrush_limit_ch2_en_8A_mask = 0x8,
    inrush_limit_ch2_en_9p5A_mask = 0x9,
    inrush_limit_ch2_en_11A_mask = 0xa,
    inrush_limit_ch2_en_12p5A_mask = 0xb,
    inrush_limit_ch2_en_0xc_mask = 0xc,
} tps2hcsxx_inrush_limit_ch2_mask_t;

#define TPS2HCSXX_ILIM_CONFIG_CH2_INRUSH_DURATION_CH2_MASK 0x700
#define TPS2HCSXX_ILIM_CONFIG_CH2_INRUSH_DURATION_CH2_OFS 8

typedef enum {
    inrush_duration_ch2_en_0ms_field = 0x0,
    inrush_duration_ch2_en_2ms_field = 0x100,
    inrush_duration_ch2_en_4ms_field = 0x200,
    inrush_duration_ch2_en_6ms_field = 0x300,
    inrush_duration_ch2_en_10ms_field = 0x400,
    inrush_duration_ch2_en_20ms_field = 0x500,
    inrush_duration_ch2_en_50ms_field = 0x600,
    inrush_duration_ch2_en_100ms_field = 0x700,
} tps2hcsxx_inrush_duration_ch2_field_t;

typedef enum {
    inrush_duration_ch2_en_0ms_mask = 0x0,
    inrush_duration_ch2_en_2ms_mask = 0x1,
    inrush_duration_ch2_en_4ms_mask = 0x2,
    inrush_duration_ch2_en_6ms_mask = 0x3,
    inrush_duration_ch2_en_10ms_mask = 0x4,
    inrush_duration_ch2_en_20ms_mask = 0x5,
    inrush_duration_ch2_en_50ms_mask = 0x6,
    inrush_duration_ch2_en_100ms_mask = 0x7,
} tps2hcsxx_inrush_duration_ch2_mask_t;

#define TPS2HCSXX_ILIM_CONFIG_CH2_I2T_EN_CH2_MASK 0x800
#define TPS2HCSXX_ILIM_CONFIG_CH2_I2T_EN_CH2_OFS 11

typedef enum {
    i2t_en_ch2_en_0x0_field = 0x0,
    i2t_en_ch2_en_0x800_field = 0x800,
} tps2hcsxx_i2t_en_ch2_field_t;

typedef enum {
    i2t_en_ch2_en_0x0_mask = 0x0,
    i2t_en_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_i2t_en_ch2_mask_t;

#define TPS2HCSXX_ILIM_CONFIG_CH2_CAP_CHRG_CH2_MASK 0x3000
#define TPS2HCSXX_ILIM_CONFIG_CH2_CAP_CHRG_CH2_OFS 12

typedef enum {
    cap_chrg_ch2_en_0x0_field = 0x0,
    cap_chrg_ch2_en_0x1000_field = 0x1000,
    cap_chrg_ch2_en_0x2000_field = 0x2000,
    cap_chrg_ch2_en_0x3000_field = 0x3000,
} tps2hcsxx_cap_chrg_ch2_field_t;

typedef enum {
    cap_chrg_ch2_en_0x0_mask = 0x0,
    cap_chrg_ch2_en_0x1_mask = 0x1,
    cap_chrg_ch2_en_0x2_mask = 0x2,
    cap_chrg_ch2_en_0x3_mask = 0x3,
} tps2hcsxx_cap_chrg_ch2_mask_t;

#define TPS2HCSXX_ILIM_CONFIG_CH2_OCP_INRUSH_CH2_MASK 0xC000
#define TPS2HCSXX_ILIM_CONFIG_CH2_OCP_INRUSH_CH2_OFS 14

/* --------- TPS2HCSXX_CH2_CONFIG (0x19) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_CH2_CONFIG_REG 0x19

typedef union 
{
    uint16_t word;
    struct
    {
        /* These bits determine the turn on and turn off slew rates for channel 2. 
        *  */
        uint16_t SLRT_CH2 : 2;
        /* This bit determines if channel 2 should auto-retry or latch off after 
        * an overcurrent or thermal shutdown event has occurred.  */
        uint16_t LATCH_CH2 : 1;
        /* This bit enables the off-state open load pull down to see if there is 
        * a short to VBB fault in the off state for channel 2.  Note: This function 
        * cannot be enabled if the channel is already ON or a fault exists.  */
        uint16_t SVBB_EN_CH2 : 1;
        /* This bit enables the off-state open load pull-up to see if an open load 
        * fault has occurred on channel 2.  Note: This function cannot be enabled 
        * if the channel is already ON or a fault exists  */
        uint16_t OL_OFF_EN_CH2 : 1;
        /* These bits determine the pull-up current (I_pu) at the VOUT1 for the off-state 
        * open load detection circuitry.  */
        uint16_t OL_PU_STR_CH2 : 2;
        /* These bits determine the blanking time for open load or short to VBB faults 
        * in the OFF state for channel 2  */
        uint16_t OL_SVBB_BLANK_CH2 : 2;
        /* This bit determines if channel 2 should enter a mode with a higher RON 
        * and a lower KSNS value to more accurately detect lower output current. 
        *  Note: The device can only enter this mode if there are no existing faults 
        * on the channel and the output current is below I#sub#ENTRY_LPM_AUTO#/sub#. 
        *   */
        uint16_t OL_ON_EN_CH2 : 1;
        /* This bit determines the voltage scaling of the channel 2 ISNS for the 
        * input to the ADC  */
        uint16_t ISNS_SCALE_CH2 : 1;
        /* Reserved */
        uint16_t RESERVED_57 : 2;
        /* This bit determines if the ISNS ADC function for channel 2 is enabled. 
        *  */
        uint16_t ISNS_DIS_CH2 : 1;
        /* This bit determines if the VDS_SNS ADC function for channel 2 is enabled. 
        *  */
        uint16_t VDSSNS_DIS_CH2 : 1;
        /* This bit determines if the VOUT VSNS ADC function for channel 2 is enabled. 
        *  */
        uint16_t VSNS_DIS_CH2 : 1;
    } bits;
} TPS2HCSXX_CH2_CONFIG;

typedef struct TPS2HCSXX_CH2_CONFIG_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_CH2_CONFIG value;
} TPS2HCSXX_CH2_CONFIG_OBJ;

#define TPS2HCSXX_CH2_CONFIG_SLRT_CH2_MASK 0x03
#define TPS2HCSXX_CH2_CONFIG_SLRT_CH2_OFS 0

typedef enum {
    slrt_ch2_en_0p25V_us_field = 0x0,
    slrt_ch2_en_0p34V_us_field = 0x1,
    slrt_ch2_en_0p45V_us_field = 0x2,
    slrt_ch2_en_0p55V_us_field = 0x3,
} tps2hcsxx_slrt_ch2_field_t;

typedef enum {
    slrt_ch2_en_0p25V_us_mask = 0x0,
    slrt_ch2_en_0p34V_us_mask = 0x1,
    slrt_ch2_en_0p45V_us_mask = 0x2,
    slrt_ch2_en_0p55V_us_mask = 0x3,
} tps2hcsxx_slrt_ch2_mask_t;

#define TPS2HCSXX_CH2_CONFIG_LATCH_CH2_MASK 0x04
#define TPS2HCSXX_CH2_CONFIG_LATCH_CH2_OFS 2

typedef enum {
    latch_ch2_en_0x0_field = 0x0,
    latch_ch2_en_0x4_field = 0x4,
} tps2hcsxx_latch_ch2_field_t;

typedef enum {
    latch_ch2_en_0x0_mask = 0x0,
    latch_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_latch_ch2_mask_t;

#define TPS2HCSXX_CH2_CONFIG_SVBB_EN_CH2_MASK 0x08
#define TPS2HCSXX_CH2_CONFIG_SVBB_EN_CH2_OFS 3

typedef enum {
    svbb_en_ch2_en_0x0_field = 0x0,
    svbb_en_ch2_en_0x8_field = 0x8,
} tps2hcsxx_svbb_en_ch2_field_t;

typedef enum {
    svbb_en_ch2_en_0x0_mask = 0x0,
    svbb_en_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_svbb_en_ch2_mask_t;

#define TPS2HCSXX_CH2_CONFIG_OL_OFF_EN_CH2_MASK 0x10
#define TPS2HCSXX_CH2_CONFIG_OL_OFF_EN_CH2_OFS 4

typedef enum {
    ol_off_en_ch2_en_0x0_field = 0x0,
    ol_off_en_ch2_en_0x10_field = 0x10,
} tps2hcsxx_ol_off_en_ch2_field_t;

typedef enum {
    ol_off_en_ch2_en_0x0_mask = 0x0,
    ol_off_en_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_ol_off_en_ch2_mask_t;

#define TPS2HCSXX_CH2_CONFIG_OL_PU_STR_CH2_MASK 0x60
#define TPS2HCSXX_CH2_CONFIG_OL_PU_STR_CH2_OFS 5

typedef enum {
    ol_pu_str_ch2_en_0x0_field = 0x0,
    ol_pu_str_ch2_en_0x20_field = 0x20,
    ol_pu_str_ch2_en_0x40_field = 0x40,
    ol_pu_str_ch2_en_0x60_field = 0x60,
} tps2hcsxx_ol_pu_str_ch2_field_t;

typedef enum {
    ol_pu_str_ch2_en_0x0_mask = 0x0,
    ol_pu_str_ch2_en_0x1_mask = 0x1,
    ol_pu_str_ch2_en_0x2_mask = 0x2,
    ol_pu_str_ch2_en_0x3_mask = 0x3,
} tps2hcsxx_ol_pu_str_ch2_mask_t;

#define TPS2HCSXX_CH2_CONFIG_OL_SVBB_BLANK_CH2_MASK 0x180
#define TPS2HCSXX_CH2_CONFIG_OL_SVBB_BLANK_CH2_OFS 7

typedef enum {
    ol_svbb_blank_ch2_en_0x0_field = 0x0,
    ol_svbb_blank_ch2_en_0x80_field = 0x80,
    ol_svbb_blank_ch2_en_0x100_field = 0x100,
    ol_svbb_blank_ch2_en_0x180_field = 0x180,
} tps2hcsxx_ol_svbb_blank_ch2_field_t;

typedef enum {
    ol_svbb_blank_ch2_en_0x0_mask = 0x0,
    ol_svbb_blank_ch2_en_0x1_mask = 0x1,
    ol_svbb_blank_ch2_en_0x2_mask = 0x2,
    ol_svbb_blank_ch2_en_0x3_mask = 0x3,
} tps2hcsxx_ol_svbb_blank_ch2_mask_t;

#define TPS2HCSXX_CH2_CONFIG_OL_ON_EN_CH2_MASK 0x200
#define TPS2HCSXX_CH2_CONFIG_OL_ON_EN_CH2_OFS 9

typedef enum {
    ol_on_en_ch2_en_0x0_field = 0x0,
    ol_on_en_ch2_en_0x200_field = 0x200,
} tps2hcsxx_ol_on_en_ch2_field_t;

typedef enum {
    ol_on_en_ch2_en_0x0_mask = 0x0,
    ol_on_en_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_ol_on_en_ch2_mask_t;

#define TPS2HCSXX_CH2_CONFIG_ISNS_SCALE_CH2_MASK 0x400
#define TPS2HCSXX_CH2_CONFIG_ISNS_SCALE_CH2_OFS 10

typedef enum {
    isns_scale_ch2_en_0x0_field = 0x0,
    isns_scale_ch2_en_0x400_field = 0x400,
} tps2hcsxx_isns_scale_ch2_field_t;

typedef enum {
    isns_scale_ch2_en_0x0_mask = 0x0,
    isns_scale_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_isns_scale_ch2_mask_t;

#define TPS2HCSXX_CH2_CONFIG_RESERVED_57_MASK 0x1800
#define TPS2HCSXX_CH2_CONFIG_RESERVED_57_OFS 11
#define TPS2HCSXX_CH2_CONFIG_ISNS_DIS_CH2_MASK 0x2000
#define TPS2HCSXX_CH2_CONFIG_ISNS_DIS_CH2_OFS 13

typedef enum {
    isns_dis_ch2_en_0x0_field = 0x0,
    isns_dis_ch2_en_0x2000_field = 0x2000,
} tps2hcsxx_isns_dis_ch2_field_t;

typedef enum {
    isns_dis_ch2_en_0x0_mask = 0x0,
    isns_dis_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_isns_dis_ch2_mask_t;

#define TPS2HCSXX_CH2_CONFIG_VDSSNS_DIS_CH2_MASK 0x4000
#define TPS2HCSXX_CH2_CONFIG_VDSSNS_DIS_CH2_OFS 14

typedef enum {
    vdssns_dis_ch2_en_0x0_field = 0x0,
    vdssns_dis_ch2_en_0x4000_field = 0x4000,
} tps2hcsxx_vdssns_dis_ch2_field_t;

typedef enum {
    vdssns_dis_ch2_en_0x0_mask = 0x0,
    vdssns_dis_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_vdssns_dis_ch2_mask_t;

#define TPS2HCSXX_CH2_CONFIG_VSNS_DIS_CH2_MASK 0x8000
#define TPS2HCSXX_CH2_CONFIG_VSNS_DIS_CH2_OFS 15

typedef enum {
    vsns_dis_ch2_en_0x0_field = 0x0,
    vsns_dis_ch2_en_0x8000_field = 0x8000,
} tps2hcsxx_vsns_dis_ch2_field_t;

typedef enum {
    vsns_dis_ch2_en_0x0_mask = 0x0,
    vsns_dis_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_vsns_dis_ch2_mask_t;


/* --------- TPS2HCSXX_ADC_RESULT_CH2_I (0x1A) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_ADC_RESULT_CH2_I_REG 0x1A

typedef union 
{
    uint16_t word;
    struct
    {
        /* ADC result (10-bits) from the conversion of the current in CH2 */
        uint16_t ADC_RESULT_CH2_I : 10;
        /* Making sure the ADC conversion is new from the last time this was read 
        *  */
        uint16_t ISNS_RDY_CH2 : 1;
        /*  The bit indicates the actual KSNS ratio used for the conversion  */
        uint16_t ISNS_RATIO_EFF_CH2 : 1;
        /* Reserved */
        uint16_t RESERVED_58 : 4;
    } bits;
} TPS2HCSXX_ADC_RESULT_CH2_I;

typedef struct TPS2HCSXX_ADC_RESULT_CH2_I_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_ADC_RESULT_CH2_I value;
} TPS2HCSXX_ADC_RESULT_CH2_I_OBJ;

#define TPS2HCSXX_ADC_RESULT_CH2_I_ADC_RESULT_CH2_I_MASK 0x3FF
#define TPS2HCSXX_ADC_RESULT_CH2_I_ADC_RESULT_CH2_I_OFS 0
#define TPS2HCSXX_ADC_RESULT_CH2_I_ISNS_RDY_CH2_MASK 0x400
#define TPS2HCSXX_ADC_RESULT_CH2_I_ISNS_RDY_CH2_OFS 10

typedef enum {
    isns_rdy_ch2_en_0x0_field = 0x0,
    isns_rdy_ch2_en_0x400_field = 0x400,
} tps2hcsxx_isns_rdy_ch2_field_t;

typedef enum {
    isns_rdy_ch2_en_0x0_mask = 0x0,
    isns_rdy_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_isns_rdy_ch2_mask_t;

#define TPS2HCSXX_ADC_RESULT_CH2_I_ISNS_RATIO_EFF_CH2_MASK 0x800
#define TPS2HCSXX_ADC_RESULT_CH2_I_ISNS_RATIO_EFF_CH2_OFS 11

typedef enum {
    isns_ratio_eff_ch2_en_0x0_field = 0x0,
    isns_ratio_eff_ch2_en_0x800_field = 0x800,
} tps2hcsxx_isns_ratio_eff_ch2_field_t;

typedef enum {
    isns_ratio_eff_ch2_en_0x0_mask = 0x0,
    isns_ratio_eff_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_isns_ratio_eff_ch2_mask_t;

#define TPS2HCSXX_ADC_RESULT_CH2_I_RESERVED_58_MASK 0xF000
#define TPS2HCSXX_ADC_RESULT_CH2_I_RESERVED_58_OFS 12

/* --------- TPS2HCSXX_ADC_RESULT_CH2_T (0x1B) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_ADC_RESULT_CH2_T_REG 0x1B

typedef union 
{
    uint16_t word;
    struct
    {
        /* 10-bit ADC result from the conversion of channel 2 FET temperature (TSNS) 
        * */
        uint16_t ADC_RESULT_CH2_T : 10;
        /* This bit indicates if a new ADC result for channel 2 TSNS conversion is 
        * available since the last read  */
        uint16_t TSNS_RDY_CH2 : 1;
        /* Reserved */
        uint16_t RESERVED_59 : 5;
    } bits;
} TPS2HCSXX_ADC_RESULT_CH2_T;

typedef struct TPS2HCSXX_ADC_RESULT_CH2_T_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_ADC_RESULT_CH2_T value;
} TPS2HCSXX_ADC_RESULT_CH2_T_OBJ;

#define TPS2HCSXX_ADC_RESULT_CH2_T_ADC_RESULT_CH2_T_MASK 0x3FF
#define TPS2HCSXX_ADC_RESULT_CH2_T_ADC_RESULT_CH2_T_OFS 0
#define TPS2HCSXX_ADC_RESULT_CH2_T_TSNS_RDY_CH2_MASK 0x400
#define TPS2HCSXX_ADC_RESULT_CH2_T_TSNS_RDY_CH2_OFS 10

typedef enum {
    tsns_rdy_ch2_en_0x0_field = 0x0,
    tsns_rdy_ch2_en_0x400_field = 0x400,
} tps2hcsxx_tsns_rdy_ch2_field_t;

typedef enum {
    tsns_rdy_ch2_en_0x0_mask = 0x0,
    tsns_rdy_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_tsns_rdy_ch2_mask_t;

#define TPS2HCSXX_ADC_RESULT_CH2_T_RESERVED_59_MASK 0xF800
#define TPS2HCSXX_ADC_RESULT_CH2_T_RESERVED_59_OFS 11

/* --------- TPS2HCSXX_ADC_RESULT_CH2_V (0x1C) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_ADC_RESULT_CH2_V_REG 0x1C

typedef union 
{
    uint16_t word;
    struct
    {
        /* 10-bit ADC result from the conversion of channel 2 VOUT voltage (VSNS) 
        * */
        uint16_t ADC_RESULT_CH2_V : 10;
        /* This bit indicates if a new ADC result for channel 2 VOUT voltage (VSNS) 
        * conversion is available since the last read  */
        uint16_t VSNS_RDY_CH2 : 1;
        /* Reserved */
        uint16_t RESERVED_61 : 5;
    } bits;
} TPS2HCSXX_ADC_RESULT_CH2_V;

typedef struct TPS2HCSXX_ADC_RESULT_CH2_V_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_ADC_RESULT_CH2_V value;
} TPS2HCSXX_ADC_RESULT_CH2_V_OBJ;

#define TPS2HCSXX_ADC_RESULT_CH2_V_ADC_RESULT_CH2_V_MASK 0x3FF
#define TPS2HCSXX_ADC_RESULT_CH2_V_ADC_RESULT_CH2_V_OFS 0
#define TPS2HCSXX_ADC_RESULT_CH2_V_VSNS_RDY_CH2_MASK 0x400
#define TPS2HCSXX_ADC_RESULT_CH2_V_VSNS_RDY_CH2_OFS 10

typedef enum {
    vsns_rdy_ch2_en_0x0_field = 0x0,
    vsns_rdy_ch2_en_0x400_field = 0x400,
} tps2hcsxx_vsns_rdy_ch2_field_t;

typedef enum {
    vsns_rdy_ch2_en_0x0_mask = 0x0,
    vsns_rdy_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_vsns_rdy_ch2_mask_t;

#define TPS2HCSXX_ADC_RESULT_CH2_V_RESERVED_61_MASK 0xF800
#define TPS2HCSXX_ADC_RESULT_CH2_V_RESERVED_61_OFS 11

/* --------- TPS2HCSXX_ADC_RESULT_CH2_VDS (0x1D) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_ADC_RESULT_CH2_VDS_REG 0x1D

typedef union 
{
    uint16_t word;
    struct
    {
        /* 10-bit ADC result from the conversion of channel 2 VDS voltage (VDSSNS) 
        * */
        uint16_t ADC_RESULT_CH2_VDS : 10;
        /* This bit indicates if a new ADC result for channel 2 VDS voltage (VDSSNS) 
        * conversion is available since the last read  */
        uint16_t VDSSNS_RDY_CH2 : 1;
        /* Reserved */
        uint16_t RESERVED_62 : 5;
    } bits;
} TPS2HCSXX_ADC_RESULT_CH2_VDS;

typedef struct TPS2HCSXX_ADC_RESULT_CH2_VDS_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_ADC_RESULT_CH2_VDS value;
} TPS2HCSXX_ADC_RESULT_CH2_VDS_OBJ;

#define TPS2HCSXX_ADC_RESULT_CH2_VDS_ADC_RESULT_CH2_VDS_MASK 0x3FF
#define TPS2HCSXX_ADC_RESULT_CH2_VDS_ADC_RESULT_CH2_VDS_OFS 0
#define TPS2HCSXX_ADC_RESULT_CH2_VDS_VDSSNS_RDY_CH2_MASK 0x400
#define TPS2HCSXX_ADC_RESULT_CH2_VDS_VDSSNS_RDY_CH2_OFS 10

typedef enum {
    vdssns_rdy_ch2_en_0x0_field = 0x0,
    vdssns_rdy_ch2_en_0x400_field = 0x400,
} tps2hcsxx_vdssns_rdy_ch2_field_t;

typedef enum {
    vdssns_rdy_ch2_en_0x0_mask = 0x0,
    vdssns_rdy_ch2_en_0x1_mask = 0x1,
} tps2hcsxx_vdssns_rdy_ch2_mask_t;

#define TPS2HCSXX_ADC_RESULT_CH2_VDS_RESERVED_62_MASK 0xF800
#define TPS2HCSXX_ADC_RESULT_CH2_VDS_RESERVED_62_OFS 11

/* --------- TPS2HCSXX_I2T_CONFIG_CH2 (0x1E) ----------*/
/* DESCRIPTION:  */

#define TPS2HCSXX_I2T_CONFIG_CH2_REG 0x1E

typedef union 
{
    uint16_t word;
    struct
    {
        /* These bits set the nominal current value for channel 2 for the I2T function. 
        * If the I2T function is enabled for channel 2, above this value the device 
        * will enter the I2T accumulation mode.  The nominal current values below 
        * assume R#sub#SNS#/sub# = 700ohm. To calculate the new I2T trip values based 
        * on a different R#sub#SNS#/sub# value, the following equation can be used: 
        *  NOM_CUR_CH2#sub#ADJ#/sub# = NOM_CUR_CH2#sub#700#/sub# * (700 / R#sub#SNS#/sub#) 
        * */
        uint16_t NOM_CUR_CH2 : 3;
        /* These bits set the I2T trip value for Channel 2.  Note: For reference 
        * the  equation for the I2T trip value is: I2T = (I#sub#OUT2#/sub##super#2#/super# 
        * - NOM_CUR_CH2#super#2#/super#) * t  The below values assume R#sub#SNS#/sub# 
        * = 700ohm. To calculate the new I2T trip values based on a different R#sub#SNS#/sub# 
        * value, the following equation can be used:  I2T#sub#ADJ#/sub# = I2T#sub#700#/sub# 
        * * (700 / R#sub#SNS#/sub#)#super#2#/super# */
        uint16_t I2T_TRIP_CH2 : 4;
        /* These bits set the delayed turn off current sense value (I#sub#SWCL,700#/sub#) 
        * for channel 2. Once the I#sub#OUT#/sub# current exceeds the I#sub#SWCL,700#/sub# 
        * value, a timer starts and will turn off the channel if the current remains 
        * above the I#sub#SWCL,700#/sub# threshold for a duration of SWCL_DLY_TMR_CH2. 
        *  The threshold should be set below the current sense saturation value (I#sub#OUT_SAT#/sub# 
        * = K#sub#SNS1#/sub# * I#sub#SNS_SAT#/sub#). The current threshold below 
        * assume R#sub#SNS#/sub# = 700ohm. To calculate the new I#sub#SWCL,700#/sub# 
        * thresholds based on a different R#sub#SNS#/sub# value, the following equation 
        * can be used:  I#sub#SWCL,ADJ#/sub# = I#sub#SWCL,700#/sub# * (700 / R#sub#SNS#/sub#) 
        * */
        uint16_t ISWCL_CH2 : 2;
        /* These bits set the timer at which channel 2 will shut down if the I#sub#OUT#/sub# 
        * current continuously exceeds the ISWCL level for the configured time.  
        * */
        uint16_t SWCL_DLY_TMR_CH2 : 2;
        /* Reserved */
        uint16_t RESERVED_63 : 3;
        /* These bits set the cool down time (or time to retry) after an I2T shutdown 
        * for channel 2.  Note: If setting 0x0 is used, the channel will remain off 
        * after an I2T shutdown with no retry. To retry in this setting, change the 
        * bits to 0.8s, 2.0s, or 4.0s options to allow the device to retry after 
        * an I2T shutdown.  */
        uint16_t TCLDN_CH2 : 2;
    } bits;
} TPS2HCSXX_I2T_CONFIG_CH2;

typedef struct TPS2HCSXX_I2T_CONFIG_CH2_OBJ 
{
    uint8_t reg;
    TPS2HCSXX_I2T_CONFIG_CH2 value;
} TPS2HCSXX_I2T_CONFIG_CH2_OBJ;

#define TPS2HCSXX_I2T_CONFIG_CH2_NOM_CUR_CH2_MASK 0x07
#define TPS2HCSXX_I2T_CONFIG_CH2_NOM_CUR_CH2_OFS 0

typedef enum {
    nom_cur_ch2_en_0x0_field = 0x0,
    nom_cur_ch2_en_0x1_field = 0x1,
    nom_cur_ch2_en_0x2_field = 0x2,
    nom_cur_ch2_en_0x3_field = 0x3,
    nom_cur_ch2_en_0x4_field = 0x4,
    nom_cur_ch2_en_0x5_field = 0x5,
    nom_cur_ch2_en_0x6_field = 0x6,
    nom_cur_ch2_en_0x7_field = 0x7,
} tps2hcsxx_nom_cur_ch2_field_t;

typedef enum {
    nom_cur_ch2_en_0x0_mask = 0x0,
    nom_cur_ch2_en_0x1_mask = 0x1,
    nom_cur_ch2_en_0x2_mask = 0x2,
    nom_cur_ch2_en_0x3_mask = 0x3,
    nom_cur_ch2_en_0x4_mask = 0x4,
    nom_cur_ch2_en_0x5_mask = 0x5,
    nom_cur_ch2_en_0x6_mask = 0x6,
    nom_cur_ch2_en_0x7_mask = 0x7,
} tps2hcsxx_nom_cur_ch2_mask_t;

#define TPS2HCSXX_I2T_CONFIG_CH2_I2T_TRIP_CH2_MASK 0x78
#define TPS2HCSXX_I2T_CONFIG_CH2_I2T_TRIP_CH2_OFS 3

typedef enum {
    i2t_trip_ch2_en_0x0_field = 0x0,
    i2t_trip_ch2_en_0x8_field = 0x8,
    i2t_trip_ch2_en_0x10_field = 0x10,
    i2t_trip_ch2_en_0x18_field = 0x18,
    i2t_trip_ch2_en_0x20_field = 0x20,
    i2t_trip_ch2_en_0x28_field = 0x28,
    i2t_trip_ch2_en_0x30_field = 0x30,
    i2t_trip_ch2_en_0x38_field = 0x38,
    i2t_trip_ch2_en_0x40_field = 0x40,
    i2t_trip_ch2_en_0x48_field = 0x48,
    i2t_trip_ch2_en_0x50_field = 0x50,
    i2t_trip_ch2_en_0x58_field = 0x58,
    i2t_trip_ch2_en_0x60_field = 0x60,
    i2t_trip_ch2_en_0x68_field = 0x68,
    i2t_trip_ch2_en_0x70_field = 0x70,
    i2t_trip_ch2_en_0x78_field = 0x78,
} tps2hcsxx_i2t_trip_ch2_field_t;

typedef enum {
    i2t_trip_ch2_en_0x0_mask = 0x0,
    i2t_trip_ch2_en_0x1_mask = 0x1,
    i2t_trip_ch2_en_0x2_mask = 0x2,
    i2t_trip_ch2_en_0x3_mask = 0x3,
    i2t_trip_ch2_en_0x4_mask = 0x4,
    i2t_trip_ch2_en_0x5_mask = 0x5,
    i2t_trip_ch2_en_0x6_mask = 0x6,
    i2t_trip_ch2_en_0x7_mask = 0x7,
    i2t_trip_ch2_en_0x8_mask = 0x8,
    i2t_trip_ch2_en_0x9_mask = 0x9,
    i2t_trip_ch2_en_0xa_mask = 0xa,
    i2t_trip_ch2_en_0xb_mask = 0xb,
    i2t_trip_ch2_en_0xc_mask = 0xc,
    i2t_trip_ch2_en_0xd_mask = 0xd,
    i2t_trip_ch2_en_0xe_mask = 0xe,
    i2t_trip_ch2_en_0xf_mask = 0xf,
} tps2hcsxx_i2t_trip_ch2_mask_t;

#define TPS2HCSXX_I2T_CONFIG_CH2_ISWCL_CH2_MASK 0x180
#define TPS2HCSXX_I2T_CONFIG_CH2_ISWCL_CH2_OFS 7

typedef enum {
    iswcl_ch2_en_19p55A_field = 0x0,
    iswcl_ch2_en_17p6A_field = 0x80,
    iswcl_ch2_en_16p05A_field = 0x100,
    iswcl_ch2_en_13p3A_field = 0x180,
} tps2hcsxx_iswcl_ch2_field_t;

typedef enum {
    iswcl_ch2_en_19p55A_mask = 0x0,
    iswcl_ch2_en_17p6A_mask = 0x1,
    iswcl_ch2_en_16p05A_mask = 0x2,
    iswcl_ch2_en_13p3A_mask = 0x3,
} tps2hcsxx_iswcl_ch2_mask_t;

#define TPS2HCSXX_I2T_CONFIG_CH2_SWCL_DLY_TMR_CH2_MASK 0x600
#define TPS2HCSXX_I2T_CONFIG_CH2_SWCL_DLY_TMR_CH2_OFS 9

typedef enum {
    swcl_dly_tmr_ch2_en_0p2ms_field = 0x0,
    swcl_dly_tmr_ch2_en_0p4ms_field = 0x200,
    swcl_dly_tmr_ch2_en_1p0ms_field = 0x400,
    swcl_dly_tmr_ch2_en_2p0ms_field = 0x600,
} tps2hcsxx_swcl_dly_tmr_ch2_field_t;

typedef enum {
    swcl_dly_tmr_ch2_en_0p2ms_mask = 0x0,
    swcl_dly_tmr_ch2_en_0p4ms_mask = 0x1,
    swcl_dly_tmr_ch2_en_1p0ms_mask = 0x2,
    swcl_dly_tmr_ch2_en_2p0ms_mask = 0x3,
} tps2hcsxx_swcl_dly_tmr_ch2_mask_t;

#define TPS2HCSXX_I2T_CONFIG_CH2_RESERVED_63_MASK 0x3800
#define TPS2HCSXX_I2T_CONFIG_CH2_RESERVED_63_OFS 11
#define TPS2HCSXX_I2T_CONFIG_CH2_TCLDN_CH2_MASK 0xC000
#define TPS2HCSXX_I2T_CONFIG_CH2_TCLDN_CH2_OFS 14

typedef enum {
    tcldn_ch2_en_0x0_field = 0x0,
    tcldn_ch2_en_0p8s_field = 0x4000,
    tcldn_ch2_en_2p0s_field = 0x8000,
    tcldn_ch2_en_4p0s_field = 0xc000,
} tps2hcsxx_tcldn_ch2_field_t;

typedef enum {
    tcldn_ch2_en_0x0_mask = 0x0,
    tcldn_ch2_en_0p8s_mask = 0x1,
    tcldn_ch2_en_2p0s_mask = 0x2,
    tcldn_ch2_en_4p0s_mask = 0x3,
} tps2hcsxx_tcldn_ch2_mask_t;


#endif /* __TPS2HCXX__ */
